angular.module('starter.controllers', ['ngCookies'])

    //底部tab
    .controller('tabCtrl', function ($scope,INTERFACE_URL,$cookieStore,httpUtil,CommentLikeService,$rootScope) {
        //游记链接
        $scope.clickTravel=function(){
            window.open(INTERFACE_URL.rootUrl+INTERFACE_URL.travelsLinkUrl, '_blank', 'location=yes');
        }
        //收藏
        $scope.favorite=function(){
            var userToken=$rootScope.userId;
            var itemId= document.getElementById("itemId").value;
			console.log('user collect param is =========> ', userToken, itemId);
            if(typeof userToken !== 'undefined' && null !== userToken){
                if(typeof itemId !== 'undefined' && null !== itemId){
                    var addFavoriteUrl=INTERFACE_URL.addFavoriteUrl.replace('{0}',userToken).replace('{1}',itemId);
                    var promise=httpUtil.all(INTERFACE_URL.rootUrl+addFavoriteUrl);
                    promise.then(function(data){
                        if(data.result){
                            alert('收藏成功');
                        }else{
                            alert('收藏失败');
                        }
                    },function(){
                        console.log('add favorite error');
                    })
                }else{
					alert("收藏失败");
                }
            }else{
                alert("请登录");
            }
        }
        //show出分享的弹框
        $scope.showShare=function(){
			// console.log('========== click show share div ===========')
            $rootScope.ifShowShare = !$rootScope.ifShowShare;
        }
        //评论
        $scope.addComment=function(commentContent){
            //从cookie中获取token
            var userToken=$rootScope.userId;//$cookieStore.get(user_cookie_token);
            if(null !=userToken){
                if(null !=commentContent){//有评论内容
                    var promise=CommentLikeService.doRequest(userToken,$rootScope.commentId,commentContent,'0');
                    promise.then(function(data){
                        if(data.result=='0'){
                            alert('评论成功!');
                            history.go(-1);
                        }else  if(data.result=='1'){
                            alert('已评论过');
                        }else{
                            alert('系统忙,请稍后再试');
                        }
                    },function(){
                        console.log('add comment error');
                    });
                }else{
                    alert('请输入评论内容');
                }
            }else{
                alert('请登录');
            }
        };
    })
    .controller('tabLoginCtrl', function($ionicHistory,$scope) {
        $scope.goBackUrl=function(){
            $ionicHistory.goBack();
        }
    })
    //开机画面控制
    .controller('StartCtrl', function ($scope, $http, $ionicLoading, $ionicGesture, $location, $timeout,INTERFACE_URL,httpUtil) {
        $scope.startImg = "";
        $scope.myDivCssVar = 'css-div-default-height';
        $scope.myImgCss = 'css-div-top-height';
        var loadStartImg = function () {
            var focusUrl = INTERFACE_URL.rootUrl+INTERFACE_URL.queryDetailUrl.replace('{0}','6430');
            console.log(focusUrl);
            var promise=httpUtil.all(focusUrl);
            promise.then(function(data){
               var items= data.contDetail_ret.items;
                if (typeof(items[0]) == "undefined") {
                    $ionicLoading.hide();
                } else {
                    $scope.startImg = items[0].logo;
					console.log('==================> ', $scope.startImg);
                    // $ionicLoading.hide();
                }
                $timeout(function () {
                    $scope.myImgCss = 'css-div-top-height css-div-top';
                    $scope.myDivCssVar = 'css-div-default-height css-div-class';
                    $timeout(function () {
                        $location.path("/tab/home");
                    }, 2000);
                }, 2000);
            },function(){
                console.log('启动画面广告加载出错');
            });
        };

        loadStartImg();
    })
	// 卫生间和修理厂使用的列表查询control
	.controller('QueryRestListCtrl', function($scope,httpUtil,INTERFACE_URL,$stateParams,$timeout,INTERFACE_TITLE) {
		if ($stateParams.type === 'cs') {
			$scope.iconpath = 'img/cs-1200.png';
		}
		if ($stateParams.type === 'xlc') {
			$scope.iconpath = 'img/xlc-100.png';
		}
		if ($stateParams.type === 'jyz') {
			$scope.iconpath = 'img/jyz-100.png';
		}
        var queryUrl=INTERFACE_URL.queryListUrl.replace('{0}',$stateParams.interFaceId).replace('{1}',$stateParams.pageNo).replace('{2}',$stateParams.pageSize);
        $scope.title=INTERFACE_TITLE[$stateParams.interFaceId];
		console.log('rest list query url ========> ', queryUrl);
        //当前加载页
        $scope.curPage=$stateParams.pageNo;
        if($stateParams.interFaceId==6060||$stateParams.interFaceId==6138 || $stateParams.interFaceId==6072){
            $scope.showHref=false;
        }else{
            $scope.showHref=true;
        }
        var pageCount=1;
        var promise=httpUtil.all(INTERFACE_URL.rootUrl+queryUrl);
        promise.then(function(data){
            $scope.itemList=data.cateList_ret.items;
            pageCount=data.cateList_ret.pageCount;
			console.log('query list result: ', data.cateList_ret ,$scope.itemList);
        } ,function(){});
        $scope.loadMore=function(){
            var curPage=parseInt($scope.curPage)+1;
            var loadMoreUrl=INTERFACE_URL.queryListUrl.replace('{0}',$stateParams.interFaceId).replace('{1}',curPage).replace('{2}','10');
            var loadMoreInfo=httpUtil.all(INTERFACE_URL.rootUrl+loadMoreUrl);
            loadMoreInfo.then(function(data){
                $scope.itemList = $scope.itemList.concat(data.cateList_ret.items);
                $scope.curPage=curPage;
                //延时播放
                $timeout(function() {$scope.$broadcast("scroll.infiniteScrollComplete")},1000);
            } ,function(){});
        };
        $scope.canLoadMore=function(){
			console.log('can laod more: ===> ', $scope.curPage, pageCount);
			if( $scope.curPage >= pageCount){
                $scope.loadShow=false;
                return false;
            }else{
                $scope.loadShow=true;
                return true;
            }
        }
        $scope.exturl = function(url) {
            var ref = window.open(url, '_blank', 'location=yes');
        };
		$scope.goPage = function(id, hasMid) {
			console.log('goPage id, hasMid, ', id, hasMid);
			if (hasMid === 0 || hasMid === '0') {
				window.location.href= '#tab/contSummary/' + id;
			} else {
				window.location.href= '#tab/itemDetail/' + id;
			}
		}
	})
    //通用的查询列表control
    .controller('QueryListCtrl', function ($scope,httpUtil,INTERFACE_URL,$stateParams,$timeout,INTERFACE_TITLE) {
        var queryUrl=INTERFACE_URL.queryListUrl.replace('{0}',$stateParams.interFaceId).replace('{1}',$stateParams.pageNo).replace('{2}',$stateParams.pageSize);
        $scope.title=INTERFACE_TITLE[$stateParams.interFaceId];
        //当前加载页
        $scope.curPage=$stateParams.pageNo;
        if($stateParams.interFaceId==6060||$stateParams.interFaceId==6138){
            $scope.showHref=false;
        }else{
            $scope.showHref=true;
        }
        var pageCount=1;
        var promise=httpUtil.all(INTERFACE_URL.rootUrl+queryUrl);
        promise.then(function(data){
            $scope.itemList=data.cateList_ret.items;
            pageCount=data.cateList_ret.pageCount;
			console.log('query list result: ', data.cateList_ret ,$scope.itemList);
        } ,function(){});
        $scope.loadMore=function(){
            var curPage=parseInt($scope.curPage)+1;
            var loadMoreUrl=INTERFACE_URL.queryListUrl.replace('{0}',$stateParams.interFaceId).replace('{1}',curPage).replace('{2}','10');
            var loadMoreInfo=httpUtil.all(INTERFACE_URL.rootUrl+loadMoreUrl);
            loadMoreInfo.then(function(data){
                $scope.itemList = $scope.itemList.concat(data.cateList_ret.items);
                $scope.curPage=curPage;
                //延时播放
                $timeout(function() {$scope.$broadcast("scroll.infiniteScrollComplete")},1000);
            } ,function(){});
        };
        $scope.canLoadMore=function(){
			console.log('can laod more: ===> ', $scope.curPage, pageCount);
			if( $scope.curPage >= pageCount){
                $scope.loadShow=false;
                return false;
            }else{
                $scope.loadShow=true;
                return true;
            }
        }
        $scope.exturl = function(url) {
            var ref = window.open(url, '_blank', 'location=yes');
        };
		$scope.goPage = function(id, hasMid) {
			console.log('goPage id, hasMid, ', id, hasMid);
			if (hasMid === 0 || hasMid === '0') {
				window.location.href= '#tab/contSummary/' + id;
			} else {
				window.location.href= '#tab/itemDetail/' + id;
			}
		}
    })
    //通用的查询详情control
    .controller('QueryDetailCtrl', function ($rootScope,$scope,httpUtil,INTERFACE_URL,$stateParams,$timeout,CommentLikeService,$location) {
        var queryUrl=INTERFACE_URL.queryDetailUrl.replace('{0}',$stateParams.id);
        var promise=httpUtil.all(INTERFACE_URL.rootUrl+queryUrl);
		promise.then(function(data){
			var item =data.contDetail_ret.items[0];
				// if((item.content.endsWith('.txt'))){
			var promiseDetail=httpUtil.all(item.content);
			promiseDetail.then(function(data){
				console.log('detail data is: ', data);
				document.getElementById("content").innerHTML=data;
			},function(){
				alert('出错了');
			});
			//}
		$scope.item=item;
		$rootScope.shareItem = item;
		if($location.absUrl().indexOf("detailFavorite")>=0){
			$scope.commentURL='#/tab/commentFav/'+item.id;
		}else{
			$scope.commentURL='#/tab/comment/'+item.id;
		}
		} ,function(){
			$rootScope.shareItem = null;
			alert('出错了2222');
		});
        //从cookie中获取token
        var userToken=$rootScope.userId;
        $scope.like=function(){
            if(null !=userToken){
                var promise=CommentLikeService.doRequest(userToken,$scope.item.id,'','1');
                promise.then(function(data){
                    if(data.result=='0'){
                        alert('点赞成功');

                        $scope.item.good_cnt=data.good_cnt;
                    }else  if(data.result=='1'){
                        alert('已点赞过');
                    }else{
                        alert('系统忙,请稍后再试');
                    }
                },function(){});
            }else{
                alert('请登录');
            }
        };
        $scope.clickToClose=function(){
            $rootScope.ifShowShare=false;
        };
    })
    .controller('shareCtrl',function($scope,$rootScope,$location){
			var ddd = /<[^>]+>/g;
            $scope.shareToQQZone=function(){
				var shareProject = {
					url: 'http://www.shangrila-tour.cn/client/share/detail.action?conId=' + $rootScope.shareItem.id,
					site: 'http://www.shangrila-tour.cn/client/share/detail.action?conId=' + $rootScope.shareItem.id,
					showcount: '0',
					desc: '',
				};
				for (var key in $rootScope.shareItem) {
					console.log('detail item: ', key, $rootScope.shareItem[key]);
					if (key === 'title') {
						shareProject['title'] = $rootScope.shareItem[key];
						shareProject['summary'] = $rootScope.shareItem[key].replace(ddd, "");
					}
					if (key === 'logo') {
						shareProject['pics'] = $rootScope.shareItem[key];
					}
				};
				var s = [];
				for (var i in shareProject) {
					s.push(i + '=' + encodeURIComponent(shareProject[i] || ''));
				}
				var shareUrl = "http://sns.qzone.qq.com/cgi-bin/qzshare/cgi_qzshare_onekey?" + s.join('&');
				console.log('share to qq url is: ', shareUrl);
				window.open(shareUrl, '_blank', 'location=yes');
				$rootScope.ifShowShare = false;
            }
			$scope.shareToWeibo = function() {
			}
			$scope.shareToWechat = function(type) {
				console.log('shared url is =======> ', "http://www.shangrila-tour.cn/client/share/detail.action?conId=" + $rootScope.shareItem.id);
				console.log('share to wechat message ==========> ', $rootScope.shareItem.summary ? $rootScope.shareItem.summary.replace(ddd, "") : $rootScope.shareItem.title);
				Wechat.share({
					message: {
						title: $rootScope.shareItem.title,
						description: $rootScope.shareItem.summary ? $rootScope.shareItem.summary.replace(ddd, "") : $rootScope.shareItem.title,
						thumb: $rootScope.shareItem.logo,
						// mediaTagName: "TEST-TAG-001",
						// messageExt: "这是第三方带的测试字段",
						// messageAction: "<action>dotalist</action>",
						media: {
							type: Wechat.Type.LINK,
							webpageUrl: "http://www.shangrila-tour.cn/client/share/detail.action?conId=" + $rootScope.shareItem.id
						}
					},
					scene: type === 'timeLine' ? Wechat.Scene.TIMELINE : Wechat.Scene.SESSION   // share to Timeline
				}, function () {
					// alert("Success");
					console.log('share to weichat is success');
					$rootScope.ifShowShare=false;
				}, function (reason) {
					// alert("Failed: " + reason);
					console.log('share to weichat is error ======> ', reason);
					$rootScope.ifShowShare=false;
				});
			}
    })

    //歌舞节庆列表
    .controller('DashCtrl', function ($scope,httpUtil) {
        var promise= httpUtil.all('http://www.shangrila-tour.cn/client/clientQuery.json?sql_name=cateList&param=6059&page_no=1&size=5');

        promise.then(function(data) {  // 调用承诺API获取数据 .resolve
            $scope.chats=data.cateList_ret.items;
        }, function(data) {  // 处理错误 .reject
            console.log('DashCtrl  is  error  ...');
        });
    })
    //歌舞节庆详情
    .controller('DashDetailCtrl', function ($scope, $http, $stateParams,httpUtil) {

        var promise= httpUtil.all('http://www.shangrila-tour.cn/client/clientQuery.json?sql_name=contDetail&param=' + $stateParams.chatsId);

        promise.then(function(data) {  // 调用承诺API获取数据 .resolve
            $scope.item=data.contDetail_ret.items[0];
            var obj  = angular.fromJson(angular.toJson(data.contDetail_ret.items));
            $http.get(obj[0].content).success(function(response) {
                var content = document.getElementById("content");
                content.innerHTML  = response ;
            });
        }, function(data) {  // 处理错误 .reject
            console.log('DashDetailCtrl  is  error  ...');
        });
    })
	// 修改改密码
	.controller('changePwdCtrl', function($scope, $rootScope, $ionicHistory, httpUtil, errorResolve, INTERFACE_URL, CHANGE_RESULT_INFO) {
		$scope.changePwd = function(user) {
			document.getElementById('changeButton').disabled = 'true';
			console.log('user is: ', typeof user);
			if (null !== user && 'undefined' !== typeof user) {
				if (null === user.oldpassword || 'undefined' === typeof user.oldpassword) {
					errorResolve.showAlert('请输入旧密码', 'changeButton');
				} else if (null === user.newpassword || 'undefined' === typeof user.newpassword) {
					errorResolve.showAlert('请输入新密码', 'changeButton');
				} else if (null === user.renewpassword || 'undefined' === typeof user.renewpassword) {
					errorResolve.showAlert('请再次输入新密码', 'changeButton');
				} else if (user.newpassword !== user.renewpassword) {
					errorResolve.showAlert('两次密码输入不一致', 'changeButton');
				} else {
					var userId = $rootScope.userId;
					var oldPassword = md5(user.oldpassword);
					var newPassword = md5(user.newpassword);
					var changeUrl = INTERFACE_URL.changePwdUrl.replace('{0}', userId).replace('{1}', oldPassword).replace('{2}', newPassword);
					var promise = httpUtil.all(INTERFACE_URL.rootUrl + changeUrl);
					promise.then(function(data) {
						if ('0' === data.result) {
							// 修改成功
							// $rootScope.userId = data.userId;
							// if(null!=$rootScope.backURL){
							// 	window.location.href=$rootScope.backURL;
							// }else{
							// 	window.location.href='#tab/home';
							// }
							$ionicHistory.goBack();
						} else {
							console.log('CHANGE_RESULT_INFO[data.result]: ', data.result, CHANGE_RESULT_INFO[data.result]);
							errorResolve.showAlert(CHANGE_RESULT_INFO[data.result],'changeButton');
						}
					});
				}
			} else {
				errorResolve.showAlert('请输入旧密码或者新密码', 'changeButton');
			}
		};
	})
    //登录
    .controller('LoginCtrl',function($scope,httpUtil,INTERFACE_URL,LOGIN_RESULT_INFO,errorResolve,$rootScope,$ionicHistory){
        //登录方法
        $scope.signIn=function(user){
            document.getElementById('loginBtn').disabled='true';
            if(null !=user) {
                if (null==user.username||'undefined'==user.username) {
					console.log('======= 登录的时候请输入用户名 =======');
                    errorResolve.showAlert('请输入用户名','loginBtn');
                } else if (null==user.password||'undefined'==user.password) {
                    errorResolve.showAlert('请输入密码','loginBtn');
                } else {
                    //密码需传大写的值
                    var loginUrl=INTERFACE_URL.loginUrl.replace('{0}', user.username).replace('{1}',angular.uppercase(md5(user.password))).replace('{2}', user.password);
                    var promise=httpUtil.all(INTERFACE_URL.rootUrl+loginUrl);
                    promise.then(function(data){
                            if('0'==data.result){
								console.log('login result =======> ', data);
                                $rootScope.userId = data.userId;
								window.localStorage.setItem('userid', data.userId);
								window.localStorage.setItem('userName', data.userName);
								window.localStorage.setItem('userCode', data.userCode);
								if (data.content !== '0') {
									window.localStorage.setItem('content', data.content);
								}
                                // if(null!=$rootScope.backURL){
                                //     window.location.href=$rootScope.backURL;
                                // }else{
                                //     window.location.href='#tab/home';
                                // }
								// window.location.href='#tab/home';
								$ionicHistory.goBack();
                            }else{
								console.log('LOGIN_RESULT_INFO[data.result]: ', data.result, LOGIN_RESULT_INFO[data.result]);
                                errorResolve.showAlert(LOGIN_RESULT_INFO[data.result],'loginBtn');
                            }
                        },function(){
                            errorResolve.showAlert('系统忙,请稍后再试!','loginBtn');
                        }
                    );
                }
            }else{
                errorResolve.showAlert('请输入用户名及密码','loginBtn');
            }
        };
		// login with wechat
		$scope.loginWithWechat = function() {
			var scope = 'snsapi_userinfo';
			var state = '_' + (+new Data());
			console.log("======= int the loginWithWechat function =========");
			Wechat.auth(scope, state, function(response) {
				console.log("login with wechat response =========> " + JSON.stringify(response));
				alert(JSON.stringify(response));
			}, function(error) {
				console.log("login with wechat error ============> ", error);
			});
		};
		// 忘记密码
		$scope.forgetPwd = function() {
			console.log('点击了忘记密码按钮');
			// 跳转到忘记密码操作页面
			window.location.href= '#tab/forgetpwd';
			// window.location.href= '#tab/mapPage';
			// window.location.href = '#tab/contSummary/6162';
		};
    })
	// 忘记密码
	.controller('ForgetPwdCtrl', function($scope, $ionicHistory, httpUtil, errorResolve, INTERFACE_URL, FORGET_RSULT_INFO) {
		$scope.forgetPwd = function(user) {
			console.log('点击了找回密码按钮');
            document.getElementById('submitBtn').disabled='true';
			if (null !== user && 'undefined' !== typeof user) {
				var userName = user.username;
				if (null === userName || 'undefined' === typeof userName) {
					errorResolve.showAlert('请输入您的帐号','submitBtn');
				} else {
					// 发送请求
					var forgetUrl = INTERFACE_URL.forgetPwdUrl.replace('{0}', userName);
					var promise = httpUtil.all(INTERFACE_URL.rootUrl + forgetUrl);
					promise.then(function(data){
						console.log('找回密码点击后请求返回：', data.result);
						if ('0' === data.result) {
							// if(null!=$rootScope.backURL){
							// 	window.location.href=$rootScope.backURL;
							// }else{
							// 	window.location.href='#tab/home';
							// }
							$ionicHistory.goBack();
						} else {
							console.log('FORGET_RSULT_INFO[data.result]: ', data.result, FORGET_RSULT_INFO[data.result]);
							errorResolve.showAlert(FORGET_RSULT_INFO[data.result],'submitBtn');
						}
					});
				}
			} else {
				errorResolve.showAlert('请输入您的帐号','submitBtn');
			}
		};
	})

	// 用户隐私协议
	.controller('policyCtrl', function($scope) {

	})

    //注销
    .controller('AccountCtrl', function ($rootScope,$scope,versionUpdateService,INTERFACE_URL,httpUtil,LOGIN_RESULT_INFO,errorResolve) {
		$scope.$on("$ionicView.enter", function(event, data){
			// handle event
			console.log("ionic view enter: =======> ", data);
			if (null == $rootScope.userId) {
				$scope.showLogin = true;
				$rootScope.showRegister = true;
				$scope.title = '登录';
				// window.location.href='#/tab/login';
			} else {
				$scope.showLogin = false;
				$rootScope.showRegister = false;
				$scope.title = '我的';
			}
		});
		$scope.$on("$ionicView.beforeLeave", function(event, data) {
			console.log('ionic view leave ======> ', data);
		});
        $scope.logout=function(){
            $rootScope.userId = null;
			window.localStorage.removeItem('userid');
            window.location='#/tab/home';
        };
        $scope.updateVersion=function(){
            versionUpdateService.showRefreshSheet();
        };
        //登录方法
        $scope.signIn=function(user){
            document.getElementById('loginBtn').disabled='true';
            if(null !=user) {
                if (null==user.username||'undefined'==user.username) {
                    errorResolve.showAlert('请输入用户名','loginBtn');
                } else if (null==user.password||'undefined'==user.password) {
                    errorResolve.showAlert('请输入密码','loginBtn');
                } else {
                    //密码需传大写的值
                    var loginUrl=INTERFACE_URL.loginUrl.replace('{0}', user.username).replace('{1}',angular.uppercase(md5(user.password))).replace('{2}', user.password);
                    var promise=httpUtil.all(INTERFACE_URL.rootUrl+loginUrl);
                    promise.then(function(data){
                            if('0'==data.result){
								console.log('login result =======> ', data);
								$rootScope.userId = data.userId;
								window.localStorage.setItem('userid', data.userId);
								window.localStorage.setItem('userName', data.userName);
								window.localStorage.setItem('userCode', data.userCode);
								if (data.content !== '0') {
									var tmpScript = data.content.replace(/([0-9]{1,3}[\.]){3}[0-9]{1,3}:80/, INTERFACE_URL.baseHost);
									alert(tmpScript);
									window.localStorage.setItem('content', tmpScript);
								}
								$rootScope.showRegister = false;
								$scope.showLogin = false;
								$scope.title = '我的';
                            }else{
								console.log('LOGIN_RESULT_INFO[data.result]: ', data.result, LOGIN_RESULT_INFO[data.result]);
                                errorResolve.showAlert(LOGIN_RESULT_INFO[data.result],'loginBtn');
                            }
                        },function(){
                            errorResolve.showAlert('系统忙,请稍后再试!','loginBtn');
                        }
                    );
                }
            }else{
                errorResolve.showAlert('请输入用户名及密码','loginBtn');
            }
        };
		// login with wechat
		$scope.loginWithWechat = function() {
			var scope = "snsapi_userinfo";
			var state = "_" + (+new Date());
			Wechat.auth(scope, function(response) {
				console.log('login with wechat response =========> ', JSON.stringify(response));
				// alert(JSON.stringify(response));
				var openIdUrl = INTERFACE_URL.getOpenidUrl.replace('{0}', response.code);
				var promise = httpUtil.all(openIdUrl);
				promise.then(function(data) {
					$rootScope.userId = data.openid;
					window.localStorage.setItem('openid', data.openid);
					window.localStorage.setItem('wechat_access_token', data.access_token);
					window.localStorage.setItem('unionid', data.unionid);
					$rootScope.showRegister = false;
					$scope.showLogin = false;
					$scope.title = '我的';
					// 下面继续获得用户信息并记入数据库
					var infoUrl = INTERFACE_URL.getWechatUser.replace('{0}', data.access_token).replace('{1}', data.openid);
					var infoPromise = httpUtil.all(infoUrl);
					infoPromise.then(function(data) {
						// alert(JSON.stringify(data)); // 这里需要调用一个新接口写入用户表
						var addUrl = INTERFACE_URL.addWechatInfo.replace('{0}', data.openid).replace('{1}', data.nickname).replace('{2}', '');
						var addPromise = httpUtil.all(INTERFACE_URL.rootUrl + addUrl);
						addPromise.then(function(data){
							// alert(JSON.stringify(data));
							$rootScope.userId = data.result;
							window.localStorage.setItem('userid', data.result);
						},function(){
							// alert('add wechat user request error');
						});
					}, function() {
						// errorResolve.showAlert('系统忙,请稍后再试!','loginBtn');
					});
				}, function() {
                    errorResolve.showAlert('系统忙,请稍后再试!','loginBtn');
				});
			}, function(error) {
				console.log('login with wechat error ============> ', error);
			});
		};
		// 忘记密码
		$scope.forgetPwd = function() {
			console.log('点击了忘记密码按钮');
			// 跳转到忘记密码操作页面
			window.location.href= '#tab/forgetpwd';
			// window.location.href= '#tab/mapPage';
			// window.location.href = '#tab/contSummary/6162';
		};
    })
    //注册
    .controller('RegCtrl',function($scope,httpUtil,$state,INTERFACE_URL,errorResolve,$ionicHistory){
        //注册提交
        $scope.submitForm= function(user) {
            if(null !=user ) {
                document.getElementById('regBtn').disabled='true';
                var email = user.email;
                var password = user.password;
                var pattern = /^([\.a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+(\.[a-zA-Z0-9_-])+/;
                if (null==email||'undefined'==email ||!pattern.test(email)) {
                    errorResolve.showAlert('请输入正确的邮箱','regBtn');
                }else if (null==password||'undefined'==password ||password.length <6){
                    errorResolve.showAlert('请输入至少6位密码','regBtn');
                }else{
                    var regUrl=INTERFACE_URL.regUrl.replace('{0}', email).replace('{1}',md5(password)).replace('{2}', password);
                    var promise=httpUtil.all(INTERFACE_URL.rootUrl+regUrl);
                    promise.then(function(data){
                            if('0'==data.result){
                                //跳转到注册成功页面
                                // $scope.email=email;
                                // $state.go('tab.regSuccess', {emailId: email});
								alert('注册成功');
								$ionicHistory.goBack();
                            }else if('2'==data.result) {
                                errorResolve.showAlert('用户名已经存在','regBtn');
                            }
                        },function(){
                            errorResolve.showAlert('系统忙,请稍后再试!','regBtn');
                        }
                    );
                };
            } else{
                errorResolve.showAlert('请输入用户名及密码','regBtn');
            }
        };
    })
    //注册成功
    .controller('RegSuccessCtrl',function($scope,MAIL_MAP,$stateParams){
        $scope.emails = $stateParams.emailId;
        var emailDomain=$stateParams.emailId.substring($stateParams.emailId.lastIndexOf('@')+1,$stateParams.emailId.lastIndexOf('.'));
        $scope.emailAddress = MAIL_MAP[emailDomain];
    })
    //景区人流列表
    .controller('Dash43Ctrl', function ($scope,httpUtil) {
        $scope.isLoading=true;
        var promise= httpUtil.all('http://www.shangrila-tour.cn/client/clientQuery.json?sql_name=statList&size=20');
        promise.then(function(data) {  // 调用承诺API获取数据 .resolve
            $scope.dash43 = data.statList_ret.items;
            $scope.isLoading=false;
        }, function(data) {  // 处理错误 .reject
            console.log('Dash43Ctrl  is  error  ...');
        });
    })

    //景区人流详情
    .controller('Chats43Ctrl', function ($scope,$stateParams,httpUtil) {
        var  name = $stateParams.nameId;
        var nameId  = decodeURI(decodeURI(name));
        var promise= httpUtil.all('http://www.shangrila-tour.cn/client/clientQuery.json?sql_name=scenicStatToday&param='+nameId+'&size=24');
        //labels
        var labelist=[];
        var  num = [];
        promise.then(function(data) {  // 调用承诺API获取数据 .resolve
            $scope.item=data.scenicStatToday_ret.items[0];
            var promise1= httpUtil.all('http://www.shangrila-tour.cn/client/clientQuery.json?sql_name=statList&size=20');
            promise1.then(function(response) {  // 调用承诺API获取数据 .resolve
                for (var j=0;j<response.statList_ret.items.length;j++) {
                    if (response.statList_ret.items[j].scenic_name == nameId){
                        var start_time  = response.statList_ret.items[j].stat_time;
                        $scope.time = start_time.substr(0,4)+'-'+start_time.substr(4,2)+'-'+start_time.substr(6,2) +' '+start_time.substr(8,2) + ":00";
                        $scope.num = response.statList_ret.items[j].num;
                        $scope.level = response.statList_ret.items[j].flow_level;
                    }
                }
            }, function(response) {  // 处理错误 .reject
                console.log('Chats43Ctrl list  is  error  ...');
            });
            //$scope.time = name[1];
            //$scope.num = name[2];
            for (var i=0;i<data.scenicStatToday_ret.items.length;i++){
                labelist[i] = data.scenicStatToday_ret.items[i].stat_time.substr(8,2) + ":00";
                num[i] = data.scenicStatToday_ret.items[i].num;
            }

            var lineChartData = {
                labels: labelist,
                datasets: [
                    {
                        label: "今日客流",
                        fillColor: "rgba(151,187,205,0.2)",
                        strokeColor: "rgba(151,187,205,1)",
                        pointColor: "rgba(151,187,205,1)",
                        pointStrokeColor: "#fff",
                        pointHighlightFill: "#fff",
                        pointHighlightStroke: "rgba(151,187,205,1)",
                        data:num
                    }
                ]

            }
            var ctx = document.getElementById("canvas").getContext("2d");
            window.myLine = new Chart(ctx).Line(lineChartData, {
                responsive: true
            });

        }, function(data) {  // 处理错误 .reject
            console.log('Chats43Ctrl  is  error  ...');
        });
        //var randomScalingFactor = function () {
        //    return Math.round(Math.random() * 100)
        //};
    })
    //随身导游列表
    .controller('takeTravelCtrl', function ($scope,httpUtil) {
        var promise= httpUtil.all('http://www.shangrila-tour.cn/client/clientQuery.json?sql_name=cateList&param=6138&page_no=1&size=5');
        promise.then(function(data) {  // 调用承诺API获取数据 .resolve
            $scope.travel = data.cateList_ret.items;
        }, function(data) {  // 处理错误 .reject
            console.log('takeTravelCtrl  is  error  ...');
        });
    })
    //精品路线列表
    .controller('RouteCtrl', function ($scope, httpUtil) {
        //$scope.routes = Routes.all();
        var promise= httpUtil.all('http://www.shangrila-tour.cn/client/clientQuery.json?sql_name=cateList&param=6058&page_no=1&size=5');

        promise.then(function(data) {  // 调用承诺API获取数据 .resolve
            $scope.routes=data.cateList_ret.items;
        }, function(data) {  // 处理错误 .reject
            console.log('RouteCtrl  is  error  ...');
        });
    })
    //精品路线详情
    .controller('RouteDetailCtrl', function ($scope, $http, $stateParams,httpUtil) {
        //$scope.route = Routes.get($stateParams.routeId);
        // var content = document.getElementById("content");
        // content.innerHTML =  Routes.toHtml($stateParams.routeId);
        var promise= httpUtil.all('http://www.shangrila-tour.cn/client/clientQuery.json?sql_name=contDetail&param=' + $stateParams.routeId);
        promise.then(function(data) {  // 调用承诺API获取数据 .resolve
            $scope.item=data.contDetail_ret.items[0];
            var obj  = angular.fromJson(angular.toJson(data.contDetail_ret.items));
            $http.get(obj[0].content).success(function(response) {
                var content = document.getElementById("content");
                content.innerHTML  = response ;
            });
        }, function(data) {  // 处理错误 .reject
            console.log('RouteDetailCtrl  is  error  ...');
        });

    })
    //国家公园列表
    .controller('ParkCtrl', function ($scope,httpUtil) {
        //$scope.parks = Parks.all();
        var promise= httpUtil.all('http://www.shangrila-tour.cn/client/clientQuery.json?sql_name=cateList&param=6057&page_no=1&size=5');

        promise.then(function(data) {  // 调用承诺API获取数据 .resolve
            $scope.parks=data.cateList_ret.items;

        }, function(data) {  // 处理错误 .reject
            console.log('ParkCtrl  is  error  ...');
        });

    })
    //国家公园详情
    .controller('ParkDetailCtrl', function ($scope, $http, $stateParams,httpUtil) {
        //$scope.park = Parks.get($stateParams.parkId);
        //var content = document.getElementById("content");
        //content.innerHTML =  Parks.toHtml($stateParams.parkId);

        var promise= httpUtil.all('http://www.shangrila-tour.cn/client/clientQuery.json?sql_name=contDetail&param=' + $stateParams.parkId);
        promise.then(function(data) {  // 调用承诺API获取数据 .resolve
            $scope.item=data.contDetail_ret.items[0];

            var obj  = angular.fromJson(angular.toJson(data.contDetail_ret.items));
            //$scope.subtitle = obj[0].title;
            //alert(obj[0].content);
            $http.get(obj[0].content).success(function(response) {
                var content = document.getElementById("content");
                content.innerHTML  = response ;
            });
        }, function(data) {  // 处理错误 .reject
            console.log('parkDetail  is  error  ...');
        });

    })
    //资讯公告列表
    .controller('NewsCtrl', function ($scope,httpUtil) {
        //$scope.news = News.all();
        var promise= httpUtil.all('http://www.shangrila-tour.cn/client/clientQuery.json?sql_name=cateList&param=6091&page_no=1&size=5');
        promise.then(function(data) {  // 调用承诺API获取数据 .resolve
            $scope.news=data.cateList_ret.items;
        }, function(data) {  // 处理错误 .reject
            console.log('NewsCtrl  is  error  ...');
        });
    })
    //资讯公告详情
    .controller('NewsDetailCtrl', function ($scope, $stateParams, $http,httpUtil) {
        var promise= httpUtil.all('http://www.shangrila-tour.cn/client/clientQuery.json?sql_name=contDetail&param=' + $stateParams.newsId);
        promise.then(function(data) {  // 调用承诺API获取数据 .resolve
            $scope.item=data.contDetail_ret.items[0];
            var newtime = data.contDetail_ret.items[0].create_time;
            $scope.newtime = newtime.substr(0,4)+'-'+newtime.substr(4,2)+'-'+newtime.substr(6,2) +' '+newtime.substr(8,2) + ":" + newtime.substr(10,2) + ":"+newtime.substr(12,2);
            var obj  = angular.fromJson(angular.toJson(data.contDetail_ret.items));
            //$scope.subtitle = obj[0].title;
            $http.get(obj[0].content).success(function(response) {
                var content = document.getElementById("content");
                content.innerHTML  = response ;
            });

        }, function(data) {  // 处理错误 .reject
            console.log('NewsDetailCtrl  is  error  ...');
        });
    })
    //视频展播列表
    .controller('vidoeListCtrl',function(INTERFACE_URL,httpUtil,$scope){
        var queryUrl=INTERFACE_URL.queryListUrl.replace('{0}','6060').replace('{1}','1').replace('{2}','10');
        var promise=httpUtil.all(INTERFACE_URL.rootUrl+queryUrl);
        promise.then(function(data){
            $scope.videos=data.cateList_ret.items;
        },function(){
            console.log('videoList error');
        })
        $scope.exturl = function(url) {
            var ref = window.open(url, '_blank', 'location=yes');
        };
    })
    //查看收藏
    .controller('viewFavoriteCtrl',function(INTERFACE_URL,$window,$rootScope,$scope,$state,httpUtil){
        var userId= $rootScope.userId;
        var viewFavoriteUrl=INTERFACE_URL.viewFavoriteUrl.replace('{0}',userId);
        var promise=httpUtil.all(INTERFACE_URL.rootUrl+viewFavoriteUrl);
        promise.then(function(data){
            console.log("url:" + INTERFACE_URL.rootUrl+viewFavoriteUrl + " favorite_ret:" +  JSON.stringify(data));
            if(null !=data&&null!=data.favorite_ret){
                $scope.favoriteList=data.favorite_ret.items;
            }
        },function(){
            console.log('view favorite error');
        })

        $scope.deleteFavorite = function(id){
            var itemId = id;
            var ret = $window.confirm('是否删除该收藏?');
            if (ret) {
                var delFavoriteUrl=INTERFACE_URL.delFavoriteUrl.replace('{0}',userId).replace('{1}',itemId);
                var promise=httpUtil.all(INTERFACE_URL.rootUrl+delFavoriteUrl);
                promise.then(function(data){
                    if(data.result){
                        $state.reload();
                        //alert('删除收藏成功');
                    }else{
                        alert('删除收藏失败');
                    }
                },function(){
                    console.log('view favorite error');
                })
            }
        }

        /**$scope.exturl = function(url){
			  window.open(url, '_blank', 'location=yes')
			}**/
    })
    //错误页面的
    .controller('ErrorCtrl',function($scope){
    })
    //我的消息
    .controller('MyMsgCtrl',function ($scope,httpUtil,INTERFACE_URL,$stateParams,$timeout,INTERFACE_TITLE,$rootScope,$window, $state) {
        var userId=$rootScope.userId;
        var queryUrl=INTERFACE_URL.queryMsgUrl.replace('{0}',userId);
        var promise=httpUtil.all(INTERFACE_URL.rootUrl+queryUrl);
        promise.then(function(data){
            $scope.itemList=data.msgList_ret.items;
        } ,function(){});
        $scope.deleteMsg=function(id){
            var itemId = id;
            var ret = $window.confirm('是否删除消息?');
            if (ret) {
                var delFavoriteUrl=INTERFACE_URL.delMsgUrl.replace('{0}',userId).replace('{1}',itemId);
                var promise=httpUtil.all(INTERFACE_URL.rootUrl+delFavoriteUrl);
                promise.then(function(data){
                    if(data.result){
                        $state.reload();
                    }else{
                        alert('删除消息失败');
                    }
                },function(){
                    console.log('view favorite error');
                })
            }
        }
})


    //评论
    .controller('CommentCtrl', function ($scope,httpUtil,INTERFACE_URL,$stateParams,$rootScope) {
		// 评论项的长按
		$scope.commentItemLongPress = function() {
			// Show the action sheet
			var hideSheet = $ionicActionSheet.show({
				buttons: [
				  { text: '我不喜欢这条评论' },
				  { text: '这是垃圾信息' },
				  { text: '内容有攻击性和危害性' }
				],
				// destructiveText: '举报',
				titleText: '举报评论',
				cancelText: '取消',
				// destructiveButtonClicked: function() {
				// 	alert('举报成功');
				// },
				cancel: function() {
					  // add cancel code..
				},
				buttonClicked: function(index) {
					return true;
				}
			});
		}

        $rootScope.commentId=$stateParams.id;
        var queryUrl=INTERFACE_URL.rootUrl+INTERFACE_URL.getCommentLikeListUrl.replace("{0}",$stateParams.id).replace('{1}','1').replace('{2}','10');
        var promise=httpUtil.all(queryUrl);
        var pageCount=1;
        var userId=$rootScope.userId;
        //当前加载页
        $scope.curPage=1;
        promise.then(function(data){
            $scope.itemList=data.commentbycontId_ret.items;
            $scope.userId=userId;
            pageCount=data.commentbycontId_ret.pageCount;
        },function(){

        });
        $scope.loadMore=function(){
            var curPage=parseInt($scope.curPage)+1;
            var loadMoreUrl=INTERFACE_URL.rootUrl+INTERFACE_URL.getCommentLikeListUrl.replace("{0}",$stateParams.id).replace('{1}',curPage).replace('{2}','10');
            var loadMoreInfo=httpUtil.all(loadMoreUrl);
            loadMoreInfo.then(function(data){
                if(null !=data.commentbycontId_ret.items){
                    $scope.canLoadMore=true;
                    $scope.itemList = $scope.itemList.concat(data.commentbycontId_ret.items);
                }else{
                    $scope.canLoadMore=false;
                }
                $scope.curPage=curPage;
                //延时播放
                $timeout(function(){$scope.$broadcast("scroll.infiniteScrollComplete")},1000);
            } ,function(){});
        };
        //删除评论
        $scope.delComment=function(contId){
            if(null !=userId){
                var delUrl=INTERFACE_URL.rootUrl+INTERFACE_URL.delCommentUrl.replace('{0}',contId).replace('{1}',userId);
                var promise=httpUtil.all(delUrl);
                promise.then(function(data){
                    if('0'==data.result){
                        alert('删除成功');
                        window.location.reload();
                    }else if('1'==data.result){
                        alert('删除失败');
                    }else if('2'==data.result){
                        alert('评论不是该用户发布');
                    }
                },function(){

                });

            }else{
                alert('请登录');
            }

        }
    })
	// 概要操作页面
	.controller('SummaryCtrl', function($scope, $rootScope, $location, $ionicActionSheet, $stateParams, INTERFACE_URL, httpUtil, CommentLikeService) {
		// 评论项的长按
		$scope.commentItemLongPress = function() {
			// Show the action sheet
			var hideSheet = $ionicActionSheet.show({
				buttons: [
				  { text: '我不喜欢这条评论' },
				  { text: '这是垃圾信息' },
				  { text: '内容有攻击性和危害性' }
				],
				// destructiveText: '举报',
				titleText: '举报评论',
				cancelText: '取消',
				// destructiveButtonClicked: function() {
				// 	alert('举报成功');
				// },
				cancel: function() {
					  // add cancel code..
				},
				buttonClicked: function(index) {
					return true;
				}
			});
		}
		// 设置显示分享按钮
		$rootScope.showShareFav = true;
		$scope.clickToClose = function() {
			$rootScope.ifShowShare = false;
		};
		// 得到传入的文章编号
		var contId = $stateParams.contId;
		// 进行焦点图的查询
		var queryFocusImgUrl = INTERFACE_URL.queryFocusImg.replace('{0}', contId);
		var focusPromise = httpUtil.all(INTERFACE_URL.rootUrl + queryFocusImgUrl);
		focusPromise.then(function(data) {
			console.log('焦点图返回结果为：', data);
			if (data.focusImgByContId_ret.items && data.focusImgByContId_ret.items.length > 0) {
				$scope.slideimgs = data.focusImgByContId_ret.items;
				$scope.hasFocusImg = true;
			} else {
				$scope.hasFocusImg = false;
			}
		}, function() {
			alert('出错了');
		});
		// 查询cont的信息
		var queryUrl=INTERFACE_URL.queryDetailUrl.replace('{0}',contId);
		var promise=httpUtil.all(INTERFACE_URL.rootUrl+queryUrl);
		promise.then(function(data){
			console.log('文章信息结果为：', data);
			var item =data.contDetail_ret.items[0];
			$scope.viewTitle = item.title;
			if (null === item.order_link || 'null' === item.order_link || 'undefined' === typeof item.order_link || '' === item.order_link) {
				$scope.isOrder = false;
			} else {
				$scope.isOrder = true;
			}
			if (null === item.tour_link || 'null' === item.tour_link || 'undefined' === typeof item.tour_link || '' === item.tour_link) {
				$scope.isAttractions = false;
			} else {
				$scope.isAttractions = true;
			}
			if (null === item.address || 'null' === item.address || 'undefined' === typeof item.address || '' === item.address) {
				if (item.latitude === '0' || item.latitude === 0) {
					$scope.address = '';
					$scope.hasAddress = false;
				} else {
					$scope.address = item.title;
					$scope.hasAddress = true;
				}
			} else {
				$scope.address = item.address;
				$scope.hasAddress = true;
			}
			if (item.summary !==null && item.summary !== '' && typeof item.summary !== 'undefined') {
				document.getElementById('summary').innerHTML = item.summary;
				$scope.hasSummary = true;
			} else {
				$scope.hasSummary = false;
			}
			if (item.terminal_id !==null && item.terminal_id !== '' && typeof item.terminal_id !== 'undefined') {
				$scope.hasTerminal = true;
			} else {
				$scope.hasTerminal = false;
			}
				// 判断是否有录入经纬度
			if (item.latitude === '0' || item.longtitude === '0') {
				$scope.isLocation = false;
			} else {
				$scope.isLocation = true;
			}
			if (item.content !== 'http://www.shangrila-tour.cn/data/ynly/') {
				var tmpContent = item.content.replace('www.shangrila-tour.cn', '218.202.1.20:8080');
				console.log('tmpContent is ====> ', tmpContent);
				var promiseDetail=httpUtil.all(item.content);
				// var promiseDetail=httpUtil.all(tmpContent);
				promiseDetail.then(function(data){
					console.log('文章内容结果为：', data);
					console.log('detail data is: ', data);
					data = data.substring(0, 200) + '......';
					document.getElementById("content").innerHTML=data;
					$scope.hasContent = true;
				},function(){
					console('出错了');
					$scope.hasContent = false;
				});
					// $scope.hasContent = false;
			} else {
				$scope.hasContent = false;
			}
			$scope.item=item;
			$rootScope.shareItem = item;
			if($location.absUrl().indexOf("detailFavorite")>=0){
				$scope.commentURL='#/tab/commentFav/'+item.id;
			}else{
				$scope.commentURL='#/tab/comment/'+item.id;
			}
		} ,function(){
			$rootScope.shareItem = null;
			alert('出错了2222');
		});
		// 查询按钮信息
		var buttonsUrl = INTERFACE_URL.queryContButtons.replace('{0}', contId).replace('{1}', 2000);
		var buttonsPromise = httpUtil.all(INTERFACE_URL.rootUrl + buttonsUrl);
		buttonsPromise.then(function(data) {
			console.log('按钮返回结果为：', data);
			if (data.contButtons_ret.items && data.contButtons_ret.items.length > 0) {
				$scope.buttonList = data.contButtons_ret.items;
				$scope.hasButtons = true;
			} else {
				$scope.buttonList = [];
				$scope.hasButtons = false;
			}
		}, function() {
			alert('出错了');
		});
		// 查询评论信息
		var commentsUrl = INTERFACE_URL.getCommentLikeListUrl.replace('{0}', contId).replace('{1}', 1).replace('{2}', 5);
		var commentsPromise = httpUtil.all(INTERFACE_URL.rootUrl + commentsUrl);
		commentsPromise.then(function(data) {
			console.log('获取评论返回结果为：', data);
			$scope.itemList = data.commentbycontId_ret.items;
			if (null !== $scope.itemList && 'undefined' !== typeof $scope.itemList && data.commentbycontId_ret.pageCount > 1) {
				$scope.canLoadMore = true;
			} else {
				$scope.canLoadMore = false;
			}
		}, function() {
			$scope.canLoadMore = false;
			alert('出错了');
		});
		// 点赞
		var userToken=$rootScope.userId;
		$scope.like=function(){
			if(null !=userToken){
				var promise = CommentLikeService.doRequest(userToken,$scope.item.id,'','1');
				promise.then(function(data){
					if(data.result=='0'){
						// alert('点赞成功');
						$scope.item.good_cnt=data.good_cnt;
					}else  if(data.result=='1'){
						alert('已点赞过');
					}else{
						alert('系统忙,请稍后再试');
					}
				},function(){});
			}else{
				alert('请登录');
			}
		};
		// 跳转到地图页面
		$scope.goMap = function(isLine) {
			if ($scope.isLocation) {
				window.location.href= '#tab/mapPage/' + $scope.item.latitude + '/' + $scope.item.longtitude + '/' + isLine;
			}
			// window.location.href = '#tab/home-chat43-detail/%25E5%25B7%25B4%25E6%258B%2589%25E6%25A0%25BC%25E5%25AE%2597';
		};
		// 跳转到详情页面
		$scope.goDetail = function() {
			window.location.href= '#tab/itemDetail/' + $scope.item.id;
		};
		// 打开外部URL
		$scope.openInWebview = function(url) {
			console.log('url: ', url, url.indexOf('http'));
			if (null === url || 'null' === url || 'undefined' === typeof url || '' === url) {
				console.log('not url type');
			} else if (url.indexOf('http') < 0) {
				window.location.href= url;
			} else {
				window.open(url, '_blank', 'location=yes');
			}
		};
		$scope.openBottomButton = function(type) {
			console.log('uri: ', type);
			var url = '';
			if ('order' === type) {
				url = $scope.item.order_link;
			} else {
				url = $scope.item.tour_link;
			}
			if (url.indexOf('http') < 0) {
				window.location.href= url;
			} else {
				window.open(url, '_blank', 'location=yes');
			}
		};
	})
	// 旅行社类表页面controller
	.controller('TravelListCtrl', function($scope, TRAVEL_LIST) {
		$scope.travels = TRAVEL_LIST;
		$scope.$watch('search', function(newValue, oldValue) {
			if (typeof newValue !== 'undefined' && newValue !== '') {
				var tmpGuides = [];
				for (item in TRAVEL_LIST) {
					console.log('travel list item is ====> ', TRAVEL_LIST[item]);
					if (TRAVEL_LIST[item].name.indexOf(newValue) >= 0 ||
						TRAVEL_LIST[item].phone.indexOf(newValue) >= 0 ||
						TRAVEL_LIST[item].level_star.indexOf(newValue) >= 0 ||
						TRAVEL_LIST[item].address.indexOf(newValue) >= 0 ||
						TRAVEL_LIST[item].licence.indexOf(newValue) >= 0) {
						tmpGuides.push(TRAVEL_LIST[item]);
					}
				}
				$scope.travels = tmpGuides;
			} else {
				$scope.travels = TRAVEL_LIST;
			}
		});
	})
	// 出行参考页面controller
	.controller('TravelInfoCtrl', function($scope) {
		$scope.flightSearch = function() {
			// var url = 'http://touch.qunar.com/h5/flight/flightlist?startCity=%E6%98%86%E6%98%8E&startCode=KMG&destCity=%E9%A6%99%E6%A0%BC%E9%87%8C%E6%8B%89&destCode=DIG&startDate={0}&backDate=&flightType=oneWay';
			var url = 'http://touch.qunar.com/h5/flight/?startCity=%E6%98%86%E6%98%8E&startCode=KMG&destCity=%E9%A6%99%E6%A0%BC%E9%87%8C%E6%8B%89&destCode=DIG&startDate={0}&backDate=&flightType=oneWay';
			var tomorrow = getDateStr(1);
			url = url.replace('{0}', tomorrow);
			console.log('flight info url is ======> ', url);
			window.open(url, '_blank', 'location=yes');
		};
		function getDateStr(count)
		{
			var date = new Date();
			date.setDate(date.getDate() + count);
			var year = date.getFullYear();
			var month = date.getMonth() + 1;
			var day = date.getDate();
			return year + "-" + month + "-" + day;
		};
	})
	// 班车查询页面controller
	.controller('StationListCtrl', function($scope, STATION_LIST) {
		$scope.cars = STATION_LIST.slice(0, 20);
		$scope.$watch('search', function(newValue, oldValue) {
			console.log('search input change ====> ', newValue, oldValue);
			if (typeof newValue !== 'undefined' && newValue !== '') {
				var tmpGuides = [];
				for (item in STATION_LIST) {
					console.log('guide list item is ====> ', STATION_LIST[item]);
					if (STATION_LIST[item].startStation.indexOf(newValue) >= 0 ||
						STATION_LIST[item].endStation.indexOf(newValue) >= 0 ||
						STATION_LIST[item].carType.indexOf(newValue) >= 0) {
						tmpGuides.push(STATION_LIST[item]);
					}
					if (tmpGuides.length > 20) {
						break;
					}
				}
				console.log('stations search results ===> ', tmpGuides);
				$scope.cars = tmpGuides;
			} else {
				$scope.cars = STATION_LIST.slice(0, 20);
			}
		});
	})
	// 导游列表页面controller
	.controller('GuideListCtrl', function($scope, GUIDES_LIST) {
		$scope.guides = GUIDES_LIST.slice(0, 20);
		$scope.$watch('search', function(newValue, oldValue) {
			console.log('search input change ====> ', newValue, oldValue);
			if (typeof newValue !== 'undefined' && newValue !== '') {
				var tmpGuides = [];
				for (item in GUIDES_LIST) {
					console.log('guide list item is ====> ', GUIDES_LIST[item]);
					if (GUIDES_LIST[item].name.indexOf(newValue) >= 0 ||
						GUIDES_LIST[item].user_number.indexOf(newValue) >= 0 ||
						GUIDES_LIST[item].guide_number.indexOf(newValue) >= 0 ||
						GUIDES_LIST[item].phone.indexOf(newValue) >= 0) {
						tmpGuides.push(GUIDES_LIST[item]);
					}
					if (tmpGuides.length > 20) {
						break;
					}
				}
				$scope.guides = tmpGuides;
			} else {
				$scope.guides = GUIDES_LIST.slice(0, 20);
			}
		});
	})
	.controller('MapMarkCtrl', function($scope, $stateParams, $ionicModal, httpUtil, INTERFACE_URL) {
		// 得到传入的进纬度
		var latitude = '27.833193';
		var longtitude = '99.713331';
		// 初始化地图的中心点
		var map = new BMap.Map('mapMarkContainer');
		$scope.map = map;
		var point = new BMap.Point(longtitude, latitude);
		// 设置中心点和缩放级别
		map.centerAndZoom(point, 8);
		// 添加缩放控件
		var opts = {offset: new BMap.Size(5, 20)};
		map.addControl(new BMap.NavigationControl(opts));
		// 添加定位控件
		// var opts2 = {offset: new BMap.Size(20, 10)};
		// map.addControl(new BMap.GeolocationControl(opts2))
		// 添加标记
		// var marker = new BMap.Marker(point);
		// map.addOverlay(marker);
		// 下面是多点处理
		$scope.datas = [
			{src: 'img/ijdmp.png', text: '景点', url: '6057'},
			{src: 'img/ijd.png', text: '酒店', url: '6086'},
			{src: 'img/ims.png', text: '美食', url: '6085'},
			// {src: 'img/iqcp.png', text: '购物', url: '6087'},
			// {src: 'img/ifjp.png', text: '演艺', url: '6088'},
			// {src: 'img/shangjia.png', text: '贴士', url: '6089'},
			{src: 'img/cs-1200.png', text: '旅游厕所', url: '6072'},
			{src: 'img/xlc-100.png', text: '修理厂', url: '6073'},
			{src: 'img/jyz-100.png', text: '加油站', url: '6071'},
			{src: 'img/zmjf-100.png', text: '藏民家访', url: '6077'},
		];
		$scope.ulWidth = $scope.datas.length * 100;
		// 调用查询方法
		$scope.queryById = function(id) {
			var queryUrl = INTERFACE_URL.queryListUrl.replace('{0}', id).replace('{1}', 1).replace('{2}', 10000);
			var promise = httpUtil.all(INTERFACE_URL.rootUrl + queryUrl);
			promise.then(function(data) {
				// 先删除地图已经有的点
				var allOverlay = map.getOverlays();
				for (var i = 0; i < allOverlay.length -1; i++){
					map.removeOverlay(allOverlay[i]);
				}
				// 添加点
				var results = data.cateList_ret.items;
				console.log('cate list results ======> ', results);
				for (var i = 0; i < results.length; i++) {
					var lat = results[i].latitude;
					var longt = results[i].longtitude;
					var point = new BMap.Point(longt, lat);
					var marker = new BMap.Marker(point);
					map.addOverlay(marker);
					var title = results[i].title;
					var summary = results[i].summary;
					var id = results[i].id;
					var hasmid = results[i].hasmid;
					var optsM = {
						width : 100,     // 信息窗口宽度
						height: 50,     // 信息窗口高度
						title : title, // 信息窗口标题
						enableMessage:true,//设置允许信息窗发送短息
					};
					var summary = '<a href="javascript:alert(\'hello\');">详情</a>';
					var label = new BMap.Label(title ,{offset:new BMap.Size(20,-10)});
					marker.setLabel(label);
					addClickHandler(id,marker,hasmid,optsM);
				}
			}, function(){});
		};
		$scope.goDetail = function() {
			console.log('========map info window click=========');
		};
		function addClickHandler(content,marker,hasmid,optsM){
			marker.addEventListener("click",function(e){
				// 这里进入到详细信息页面
				if (hasmid === 0 || hasmid === '0') {
					window.location.href = '#tab/contSummary/' + content;
				} else {
					window.location.href = '#tab/itemDetail/' + content;
				}
				// openInfo(content,optsM,e)
			});
		}
		function openInfo(content,optsM,e){
			var p = e.target;
			var point = new BMap.Point(p.getPosition().lng, p.getPosition().lat);
			var infoWindow = new BMap.InfoWindow(content,optsM);  // 创建信息窗口对象
			map.openInfoWindow(infoWindow,point); //开启信息窗口
		}
		$scope.queryById('6057');
	})
	// 地图页面
	.controller('MapCtrl', function($scope, $stateParams) {
		// 得到传入的进纬度
		var isLine = $stateParams.isLine;
		var latitude = $stateParams.latitude;
		var longtitude = $stateParams.longtitude;
		var latitudes = [];
		var longtitudes = [];
		var morePoints = [];
		if (latitude.indexOf(',') >= 0 && longtitude.indexOf(',') >= 0) {
			latitudes = latitude.split(',');
			longtitudes = longtitude.split(',');
			for (var i = 0; i < latitudes.length - 1; i++) {
				morePoints.push(new BMap.Point(longtitudes[i], latitudes[i]));
			}
		}
		// 初始化地图的中心点
		var map = new BMap.Map('mapContainer');
		var point = null;
		if (latitudes.length > 0){
			point = new BMap.Point(longtitudes[longtitudes.length - 1], latitudes[latitudes.length - 1]);
		} else {
			point = new BMap.Point(longtitude, latitude);
		}
		// console.log('morePoints is ====> ', morePoints, morePoints.slice(1, morePoints.length - 1), morePoints.length);
		// 设置中心点和缩放级别
		map.centerAndZoom(point, 14);
		// 添加缩放控件
		var opts = {offset: new BMap.Size(5, 60)};
		map.addControl(new BMap.NavigationControl(opts));
		// 添加定位控件
		var opts2 = {offset: new BMap.Size(5, 60)};
		map.addControl(new BMap.GeolocationControl(opts2))
		// 添加标记
		var marker = new BMap.Marker(point);
		map.addOverlay(marker);
		if (isLine === true || isLine === 'true') {
			// 得到用户位置信息
			var geoLocation = new BMap.Geolocation();
			geoLocation.getCurrentPosition(function(r) {
				if (this.getStatus() === BMAP_STATUS_SUCCESS) {
					// 驾车线路
					var driving = new BMap.DrivingRoute(map, {renderOptions:{map: map, autoViewport: true}});
					if (morePoints.length > 0) {
						driving.search(r.point, point, {waypoints: morePoints});
					} else {
						driving.search(r.point, point);
					}
				} else {
					alert('failed'+this.getStatus());
				}
			}, {enableHighAccuracy: true});
		} else {
			if (morePoints.length > 0) {
				// 驾车线路
				var driving = new BMap.DrivingRoute(map, {renderOptions:{map: map, autoViewport: true}});
				driving.search(morePoints[0], point, {waypoints: morePoints.slice(1, morePoints.length)});
			}
		}
	})
    //首页
    .controller('HomeCtrl', function ($scope, $ionicSlideBoxDelegate,$http,$timeout,httpUtil,INTERFACE_URL,versionUpdateService,$rootScope) {
        //默认获取5条
        // var queryUrl=INTERFACE_URL.queryListUrl.replace('{0}','6056').replace('{1}','1').replace('{2}','5');
        // var promise= httpUtil.all(INTERFACE_URL.rootUrl+queryUrl);
        // promise.then(function(data) {// 调用承诺API获取数据 .resolve
        //     $scope.slideimgs=data.cateList_ret.items;
        //     $timeout(function(){
        //         $ionicSlideBoxDelegate.$getByHandle('slideimgs').update();
        //         if('undefined'==$rootScope.notShowRefresh||!$rootScope.notShowRefresh){
        //             versionUpdateService.checkUpdate();
        //             $rootScope.notShowRefresh=true;
        //         }

        //     },2000);
        // }, function(data){  // 处理错误 .reject
        //     console.log('get home imgs error');
        // });
		versionUpdateService.checkUpdate();
		$scope.slideimgs = [
			{id: 6162, hasmid: 0, logo: 'img/pudacuo.jpg'},
			{id: 6453, hasmid: 0, logo: 'img/songzlsi.jpg'},
			{id: 6457, hasmid: 0, logo: 'img/lanyushangu.jpg'},
			{id: 6070, hasmid: 0, logo: 'img/hutiaoxia.jpg'},
			{id: 6072, hasmid: 0, logo: 'img/jingsihou.jpg'},
		];
		$scope.goPage = function(id, hasMid) {
			if (hasMid === 0 || hasMid === '0') {
				window.location.href= '#tab/contSummary/' + id;
			} else {
				window.location.href= '#tab/itemDetail/' + id;
			}
		};
    });

