angular
    .module('starter.services', ['ngCordova'])
    //接口地址
    .constant('INTERFACE_URL', {
		baseHost: 'www.shangrila-tour.cn',
		//域名
		rootUrl:'http://www.shangrila-tour.cn',
		// rootUrl:'http://192.168.1.158:8181',
		// 获取微信openid
		getOpenidUrl: 'https://api.weixin.qq.com/sns/oauth2/access_token?appid=wx46664dc957ae434b&secret=f7c5877e3db9f9eac9831c655a6218fa&code={0}&grant_type=authorization_code',
		// 获得微信用户信息
		getWechatUser: 'https://api.weixin.qq.com/sns/userinfo?access_token={0}&openid={1}',
		//登录接口
		loginUrl:'/client/login.json?username={0}&password={1}&code={2}',
		// 论坛同步登录接口
		syncLoginUrl: '/client/bbsLogin.json?name={0}&code={1}',
		//注册接口
		regUrl:'/client/register.json?username={0}&password={1}&code={2}',
		//修改密码接口
		changePwdUrl: '/client/changePassword.json?userid={0}&oldPasswor={1}&newPassword={2}',
		// 忘记密码接口
		forgetPwdUrl: '/client/forgetPassword.json?username={0}',
		// 添加微信登录用户
		addWechatInfo: '/client/addWechatUser.json?code={0}&nick={1}&head={2}',
		//查询列表接口
		queryListUrl:'/client/clientQuery.json?sql_name=cateList&param={0}&page_no={1}&size={2}',
		//详情接口
		queryDetailUrl:'/client/clientQuery.json?sql_name=contDetail&param={0}',
		//评论点赞接口
		commentLikeUrl:'/client/comment.json?userId={0}&contId={1}&content={2}&type={3}',
		//获取评论接口
		getCommentLikeListUrl:'/client/clientQuery.json?sql_name=commentbycontId&param={0}&page_no={1}&size={2}',
		//删除评论
		delCommentUrl:'/client/commentDel.json?id={0}&userId={1}',
		//景区人流
		queryScenicStatUrl:'/client/clientQuery.json?sql_name=scenicStatToday&param={0}&size={1}',
		//游记外链
		// travelsLinkUrl:"/bbs/forum.php?mod=forumdisplay&fid=2",
		travelsLinkUrl:"/bbs/forum.php",
		//查看收藏
		viewFavoriteUrl:"/client/clientQuery.json?sql_name=favorite&param={0}",
		//添加收藏
		addFavoriteUrl:"/client/favorite.json?userId={0}&contId={1}",
		//取消收藏
		delFavoriteUrl:"/client/delFavorite.json?userId={0}&contId={1}",
		//版本更新接口
		versionUrl:"/client/apk/version.js",
		//查询推送的消息
		queryMsgUrl:"/client/clientQuery.json?sql_name=msgList&param={0}" ,
		//删除推送消息
		delMsgUrl:"/delMsg.json?userId={0}&msgId={1}",
		// 查询文章焦点图
		queryFocusImg: '/client/clientQuery.json?sql_name=focusImgByContId&param={0}',
		// 查询文章按钮
		queryContButtons: '/client/clientQuery.json?sql_name=contButtons&param={0}&size={1}',
		// 查询文章栏目
		queryContCategory: '/client/clientQuery.json?sql_name=contCategory&param={0}',
		// // mytest
		// //登录接口
		// loginUrl:'/login.json?username={0}&password={1}',
		// //注册接口
		// regUrl:'/register.json?username={0}&password={1}',
		// //修改密码接口
		// changePwdUrl: '/changePassword.json?userid={0}&oldPasswor={1}&newPassword={2}',
		// // 忘记密码接口
		// forgetPwdUrl: '/forgetPassword.json?username={0}',
		// //查询列表接口
        // queryListUrl:'/clientQuery.json?sql_name=cateList&param={0}&page_no={1}&size={2}',
        // //详情接口
        // queryDetailUrl:'/clientQuery.json?sql_name=contDetail&param={0}',
        // //评论点赞接口
        // commentLikeUrl:'/comment.json?userId={0}&contId={1}&content={2}&type={3}',
        // //获取评论接口
        // getCommentLikeListUrl:'/clientQuery.json?sql_name=commentbycontId&param={0}&page_no={1}&size={2}',
        // //删除评论
        // delCommentUrl:'/commentDel.json?id={0}&userId={1}',
        // //景区人流
        // queryScenicStatUrl:'/clientQuery.json?sql_name=scenicStatToday&param={0}&size={1}',
        // //游记外链
        // travelsLinkUrl:"/bbs/forum.php?mod=forumdisplay&fid=2",
        // //查看收藏
        // viewFavoriteUrl:"/clientQuery.json?sql_name=favorite&param={0}",
        // //添加收藏
        // addFavoriteUrl:"/favorite.json?userId={0}&contId={1}",
        // //取消收藏
        // delFavoriteUrl:"/delFavorite.json?userId={0}&contId={1}",
        // //版本更新接口
        // versionUrl:"/apk/version.js",
        // //查询推送的消息
        // queryMsgUrl:"/clientQuery.json?sql_name=msgList&param={0}" ,
		// // 查询文章焦点图
		// queryFocusImg: '/clientQuery.json?sql_name=focusImgByContId&param={0}',
		// // 查询文章按钮
		// queryContButtons: '/clientQuery.json?sql_name=contButtons&param={0}',
		// // 查询文章栏目
		// queryContCategory: '/clientQuery.json?sql_name=contCategory&param={0}',
    })
    //接口id对应的标题
    .constant('INTERFACE_TITLE', {
        '6057':'景区景点',
        '6058':'精品路线',
        '6059':'歌舞节庆',
        '6060':'视频展播',
        '6084':'景点',
        '6085':'美食',
        '6086':'酒店',
        '6087':'购物',
        '6088':'演艺',
        '6089':'贴士',
        '6091':'资讯公告',
        '6138':'随身导游',
		'6072':'旅游厕所',
		'6073':'修理厂',
		'6071':'加油站'
    })
	// 班车时刻表
	.constant('STATION_LIST', [
		{ startStation: '香格里拉-安宁', endStation: '安宁', startTime: '09:00', distance: '635', carType: '高三级-高快', price: '204.00',  summary: '香格里拉-昆明(高快)'},
		{ startStation: '香格里拉-八宿', endStation: '八宿', startTime: '09:30', distance: '776', carType: '卧铺-白夜班', price: '280.00',  summary: '香格里拉-拉萨线'},
		{ startStation: '香格里拉-邦达', endStation: '邦达', startTime: '09:30', distance: '682', carType: '大客-白班', price: '240.00',  summary: '香格里拉-昌都'},
		{ startStation: '香格里拉-邦达', endStation: '邦达', startTime: '09:30', distance: '682', carType: '卧铺-白夜班', price: '240.00',  summary: '香格里拉-拉萨线'},
		{ startStation: '香格里拉-奔子栏', endStation: '奔子栏', startTime: '13:00', distance: '82', carType: '中客-白班', price: '15.00',  summary: '香格里拉-德钦线'},
		{ startStation: '香格里拉-奔子栏', endStation: '奔子栏', startTime: '14:00', distance: '82', carType: '中客-白班', price: '15.00',  summary: '香格里拉-德钦线'},
		{ startStation: '香格里拉-波密', endStation: '波密', startTime: '09:30', distance: '993', carType: '卧铺-白夜班', price: '350.00',  summary: '香格里拉-拉萨线'},
		{ startStation: '香格里拉-昌都', endStation: '昌都', startTime: '09:30', distance: '853', carType: '大客-白班', price: '296.00',  summary: '香格里拉-昌都'},
		{ startStation: '香格里拉-楚雄', endStation: '楚雄', startTime: '09:00', distance: '525', carType: '高三级-高快', price: '165.00',  summary: '香格里拉-昆明(高快)'},
		{ startStation: '香格里拉-稻城', endStation: '稻城', startTime: '07:00', distance: '334', carType: '中客-白班', price: '98.00',  summary: '香格里拉-稻城线'},
		{ startStation: '香格里拉-得荣', endStation: '得荣', startTime: '08:00', distance: '164', carType: '中客-白班', price: '38.00',  summary: '香格里拉-得荣'},
		{ startStation: '香格里拉-得荣', endStation: '得荣', startTime: '09:00', distance: '164', carType: '中客-白班', price: '38.00',  summary: '香格里拉-得荣'},
		{ startStation: '香格里拉-德钦', endStation: '德钦', startTime: '08:20', distance: '188', carType: '中客-白班', price: '40.00',  summary: '香格里拉-德钦线'},
		{ startStation: '香格里拉-德钦', endStation: '德钦', startTime: '09:20', distance: '188', carType: '中客-白班', price: '40.00',  summary: '香格里拉-德钦线'},
		{ startStation: '香格里拉-德钦', endStation: '德钦', startTime: '12:00', distance: '188', carType: '中客-白班', price: '40.00',  summary: '香格里拉-德钦线'},
		{ startStation: '香格里拉-德钦', endStation: '德钦', startTime: '07:20', distance: '188', carType: '中客-白班', price: '40.00',  summary: '香格里拉-德钦线'},
		{ startStation: '香格里拉-东坝', endStation: '东坝', startTime: '08:40', distance: '87', carType: '中客-白班', price: '21.00',  summary: '香格里拉-三坝线'},
		{ startStation: '香格里拉-东旺', endStation: '东旺', startTime: '07:30', distance: '194', carType: '中客-白班', price: '45.00',  summary: '香格里拉-稻城线'},
		{ startStation: '香格里拉-佛山', endStation: '佛山', startTime: '09:30', distance: '257', carType: '大客-白班', price: '56.00',  summary: '香格里拉-昌都'},
		{ startStation: '香格里拉-工布江达', endStation: '工布江达', startTime: '09:30', distance: '1348', carType: '卧铺-白夜班', price: '450.00',  summary: '香格里拉-拉萨线'},
		{ startStation: '香格里拉-哈巴', endStation: '哈巴', startTime: '14:00', distance: '148', carType: '中客-白班', price: '31.00',  summary: '香格里拉-三坝线'},
		{ startStation: '香格里拉-鹤庆', endStation: '鹤庆', startTime: '08:30', distance: '215', carType: '中客-白班', price: '46.00',  summary: '香格里拉-鹤庆'},
		{ startStation: '香格里拉-鹤庆', endStation: '鹤庆', startTime: '11:30', distance: '215', carType: '中客-白班', price: '46.00',  summary: '香格里拉-鹤庆'},
		{ startStation: '香格里拉-鹤庆', endStation: '鹤庆', startTime: '09:30', distance: '215', carType: '中客-白班', price: '46.00',  summary: '香格里拉-鹤庆'},
		{ startStation: '香格里拉-鹤庆', endStation: '鹤庆', startTime: '07:30', distance: '215', carType: '中客-白班', price: '46.00',  summary: '香格里拉-鹤庆'},
		{ startStation: '香格里拉-鹤庆', endStation: '鹤庆', startTime: '10:30', distance: '215', carType: '中客-白班', price: '46.00',  summary: '香格里拉-鹤庆'},
		{ startStation: '香格里拉-剑川', endStation: '剑川', startTime: '14:50', distance: '185', carType: '中客-白班', price: '39.00',  summary: '香格里拉-下关'},
		{ startStation: '香格里拉-剑川', endStation: '剑川', startTime: '09:15', distance: '185', carType: '中客-白班', price: '39.00',  summary: '香格里拉-下关'},
		{ startStation: '香格里拉-昆明南站', endStation: '昆明南站', startTime: '14:00', distance: '624', carType: '大卧-白夜班', price: '176.00',  summary: '香格里拉-昆明'},
		{ startStation: '香格里拉-昆明南站', endStation: '昆明南站', startTime: '13:00', distance: '624', carType: '大卧-白夜班', price: '176.00',  summary: '香格里拉-昆明'},
		{ startStation: '香格里拉-昆明南站', endStation: '昆明南站', startTime: '15:00', distance: '624', carType: '大卧-白夜班', price: '176.00',  summary: '香格里拉-昆明'},
		{ startStation: '香格里拉-昆明南站', endStation: '昆明南站', startTime: '16:30', distance: '624', carType: '大卧-白夜班', price: '176.00',  summary: '香格里拉-昆明'},
		{ startStation: '香格里拉-昆明西苑', endStation: '昆明西苑', startTime: '18:30', distance: '624', carType: '大卧-白夜班', price: '176.00',  summary: '香格里拉-昆明'},
		{ startStation: '香格里拉-昆明西苑', endStation: '昆明西苑', startTime: '17:30', distance: '624', carType: '大卧-白夜班', price: '176.00',  summary: '香格里拉-昆明'},
		{ startStation: '香格里拉-昆明西苑', endStation: '昆明西苑', startTime: '19:30', distance: '624', carType: '大卧-白夜班', price: '176.00',  summary: '香格里拉-昆明'},
		{ startStation: '香格里拉-昆明西站', endStation: '昆明西站', startTime: '09:00', distance: '671', carType: '高三级-高快', price: '205.00',  summary: '香格里拉-昆明(高快)'},
		{ startStation: '香格里拉-拉萨', endStation: '拉萨', startTime: '09:30', distance: '1786', carType: '卧铺-白夜班', price: '550.00',  summary: '香格里拉-拉萨线'},
		{ startStation: '香格里拉-拉萨', endStation: '拉萨', startTime: '09:30', distance: '1786', carType: '座位-白夜班', price: '500.00',  summary: '香格里拉-拉萨线'},
		{ startStation: '香格里拉-丽江', endStation: '丽江', startTime: '12:00', distance: '176', carType: '中客-白班', price: '38.00',  summary: '香格里拉-丽江'},
		{ startStation: '香格里拉-丽江', endStation: '丽江', startTime: '16:20', distance: '176', carType: '中客-白班', price: '38.00',  summary: '香格里拉-丽江'},
		{ startStation: '香格里拉-丽江', endStation: '丽江', startTime: '08:30', distance: '176', carType: '高二级-高快', price: '48.00',  summary: '香格里拉-昆明(高快)'},
		{ startStation: '香格里拉-丽江', endStation: '丽江', startTime: '08:00', distance: '176', carType: '中客-白班', price: '38.00',  summary: '香格里拉-丽江'},
		{ startStation: '香格里拉-丽江', endStation: '丽江', startTime: '07:10', distance: '176', carType: '中客-白班', price: '38.00',  summary: '香格里拉-丽江'},
		{ startStation: '香格里拉-丽江', endStation: '丽江', startTime: '11:00', distance: '176', carType: '中客-白班', price: '38.00',  summary: '香格里拉-丽江'},
		{ startStation: '香格里拉-丽江', endStation: '丽江', startTime: '17:40', distance: '176', carType: '中客-白班', price: '38.00',  summary: '香格里拉-丽江'},
		{ startStation: '香格里拉-丽江', endStation: '丽江', startTime: '15:40', distance: '176', carType: '中客-白班', price: '38.00',  summary: '香格里拉-丽江'},
		{ startStation: '香格里拉-丽江', endStation: '丽江', startTime: '13:40', distance: '176', carType: '中客-白班', price: '38.00',  summary: '香格里拉-丽江'},
		{ startStation: '香格里拉-丽江', endStation: '丽江', startTime: '09:00', distance: '176', carType: '中客-白班', price: '38.00',  summary: '香格里拉-丽江'},
		{ startStation: '香格里拉-丽江', endStation: '丽江', startTime: '15:00', distance: '176', carType: '高二级-高快', price: '48.00',  summary: '香格里拉-昆明(高快)'},
		{ startStation: '香格里拉-丽江', endStation: '丽江', startTime: '17:00', distance: '176', carType: '中客-白班', price: '38.00',  summary: '香格里拉-丽江'},
		{ startStation: '香格里拉-丽江', endStation: '丽江', startTime: '10:00', distance: '176', carType: '中客-白班', price: '38.00',  summary: '香格里拉-丽江'},
		{ startStation: '香格里拉-丽江', endStation: '丽江', startTime: '13:00', distance: '176', carType: '中客-白班', price: '38.00',  summary: '香格里拉-丽江'},
		{ startStation: '香格里拉-丽江', endStation: '丽江', startTime: '14:20', distance: '176', carType: '中客-白班', price: '38.00',  summary: '香格里拉-丽江'},
		{ startStation: '香格里拉-林芝(八一)', endStation: '林芝(八一)', startTime: '09:30', distance: '1228', carType: '卧铺-白夜班', price: '430.00',  summary: '香格里拉-拉萨线'},
		{ startStation: '香格里拉-洛吉', endStation: '洛吉', startTime: '15:10', distance: '86', carType: '中客-白班', price: '19.00',  summary: '香格里拉-三坝线'},
		{ startStation: '香格里拉-芒康', endStation: '芒康', startTime: '09:30', distance: '415', carType: '卧铺-白夜班', price: '130.00',  summary: '香格里拉-拉萨线'},
		{ startStation: '香格里拉-芒康', endStation: '芒康', startTime: '09:30', distance: '415', carType: '大客-白班', price: '130.00',  summary: '香格里拉-昌都'},
		{ startStation: '香格里拉-木鲁', endStation: '木鲁', startTime: '12:20', distance: '106', carType: '中客-白班', price: '25.00',  summary: '香格里拉-稻城线'},
		{ startStation: '香格里拉-攀枝花', endStation: '攀枝花', startTime: '17:00', distance: '481', carType: '大客-白夜班', price: '130.00',  summary: '香格里拉-攀枝花'},
		{ startStation: '香格里拉-攀枝花', endStation: '攀枝花', startTime: '15:00', distance: '481', carType: '大客-白夜班', price: '130.00',  summary: '香格里拉-攀枝花'},
		{ startStation: '香格里拉-三坝乡', endStation: '三坝乡', startTime: '14:10', distance: '111', carType: '中客-白班', price: '23.00',  summary: '香格里拉-三坝线'},
		{ startStation: '香格里拉-三坝乡', endStation: '三坝乡', startTime: '09:10', distance: '111', carType: '中客-白班', price: '23.00',  summary: '香格里拉-三坝线'},
		{ startStation: '香格里拉-上江乡', endStation: '上江乡', startTime: '09:00', distance: '215', carType: '中客-白班', price: '46.00',  summary: '香格里拉-上江(途经虎跳峡镇'},
		{ startStation: '香格里拉-上江乡', endStation: '上江乡', startTime: '14:00', distance: '146', carType: '中客-白班', price: '29.00',  summary: '香格里拉-上江(途经其宗'},
		{ startStation: '香格里拉-上江乡', endStation: '上江乡', startTime: '10:00', distance: '146', carType: '中客-白班', price: '29.00',  summary: '香格里拉-上江(途经其宗'},
		{ startStation: '香格里拉-松园', endStation: '松园', startTime: '16:00', distance: '125', carType: '中客-白班', price: '27.00',  summary: '香格里拉-上江(途经虎跳峡镇'},
		{ startStation: '香格里拉-塔城', endStation: '塔城', startTime: '09:30', distance: '125', carType: '中客-白班', price: '25.00',  summary: '香格里拉-维西线'},
		{ startStation: '香格里拉-维西', endStation: '维西', startTime: '08:00', distance: '215', carType: '中客-白班', price: '46.00',  summary: '香格里拉-维西线'},
		{ startStation: '香格里拉-维西', endStation: '维西', startTime: '09:00', distance: '215', carType: '中客-白班', price: '46.00',  summary: '香格里拉-维西线'},
		{ startStation: '香格里拉-维西', endStation: '维西', startTime: '10:00', distance: '215', carType: '中客-白班', price: '46.00',  summary: '香格里拉-维西线'},
		{ startStation: '香格里拉-维西', endStation: '维西', startTime: '12:00', distance: '215', carType: '中客-白班', price: '46.00',  summary: '香格里拉-维西线'},
		{ startStation: '香格里拉-维西', endStation: '维西', startTime: '11:00', distance: '215', carType: '中客-白班', price: '46.00',  summary: '香格里拉-维西线'},
		{ startStation: '香格里拉-吾竹', endStation: '吾竹', startTime: '11:00', distance: '177', carType: '中客-白班', price: '39.00',  summary: '香格里拉-上江(途经虎跳峡镇'},
		{ startStation: '香格里拉-五境', endStation: '五境', startTime: '12:00', distance: '93', carType: '中客-白班', price: '19.00',  summary: '香格里拉-维西线'},
		{ startStation: '香格里拉-下关', endStation: '下关', startTime: '09:00', distance: '327', carType: '高三级-高快', price: '104.00',  summary: '香格里拉-昆明(高快)'},
		{ startStation: '香格里拉-下关北站', endStation: '下关北站', startTime: '09:30', distance: '295', carType: '中客-白班', price: '60.00',  summary: '香格里拉-下关'},
		{ startStation: '香格里拉-下关北站', endStation: '下关北站', startTime: '07:30', distance: '295', carType: '中客-白班', price: '60.00',  summary: '香格里拉-下关'},
		{ startStation: '香格里拉-下关北站', endStation: '下关北站', startTime: '07:00', distance: '295', carType: '中客-白班', price: '60.00',  summary: '香格里拉-下关'},
		{ startStation: '香格里拉-下关北站', endStation: '下关北站', startTime: '08:00', distance: '295', carType: '中客-白班', price: '60.00',  summary: '香格里拉-下关'},
		{ startStation: '香格里拉-下关北站', endStation: '下关北站', startTime: '10:00', distance: '295', carType: '中客-白班', price: '60.00',  summary: '香格里拉-下关'},
		{ startStation: '香格里拉-下关北站', endStation: '下关北站', startTime: '12:30', distance: '295', carType: '中客-白班', price: '60.00',  summary: '香格里拉-下关'},
		{ startStation: '香格里拉-下关北站', endStation: '下关北站', startTime: '12:00', distance: '295', carType: '中客-白班', price: '60.00',  summary: '香格里拉-下关'},
		{ startStation: '香格里拉-下关北站', endStation: '下关北站', startTime: '09:00', distance: '295', carType: '中客-白班', price: '60.00',  summary: '香格里拉-下关'},
		{ startStation: '香格里拉-下关北站', endStation: '下关北站', startTime: '11:00', distance: '295', carType: '中客-白班', price: '60.00',  summary: '香格里拉-下关'},
		{ startStation: '香格里拉-下关北站', endStation: '下关北站', startTime: '18:30', distance: '295', carType: '中客-夜班', price: '76.00',  summary: '香格里拉-下关'},
		{ startStation: '香格里拉-下关北站', endStation: '下关北站', startTime: '10:30', distance: '295', carType: '中客-白班', price: '60.00',  summary: '香格里拉-下关'},
		{ startStation: '香格里拉-下关北站', endStation: '下关北站', startTime: '11:30', distance: '295', carType: '中客-白班', price: '60.00',  summary: '香格里拉-下关'},
		{ startStation: '香格里拉-下关北站', endStation: '下关北站', startTime: '19:30', distance: '295', carType: '中客-夜班', price: '76.00',  summary: '香格里拉-下关'},
		{ startStation: '香格里拉-下关北站', endStation: '下关北站', startTime: '08:30', distance: '295', carType: '中客-白班', price: '60.00',  summary: '香格里拉-下关'},
		{ startStation: '香格里拉-下桥头', endStation: '下桥头', startTime: '14:30', distance: '100', carType: '中客-白班', price: '22.00',  summary: '香格里拉-上江(途经虎跳峡镇'},
		{ startStation: '香格里拉-乡城', endStation: '乡城', startTime: '07:30', distance: '222', carType: '中客-白班', price: '65.00',  summary: '香格里拉-稻城线'},
		{ startStation: '香格里拉-盐井', endStation: '盐井', startTime: '09:30', distance: '305', carType: '卧铺-白夜班', price: '85.00',  summary: '香格里拉-拉萨线'},
		{ startStation: '香格里拉-盐井', endStation: '盐井', startTime: '09:30', distance: '305', carType: '大客-白班', price: '85.00',  summary: '香格里拉-昌都'},
		{ startStation: '香格里拉-羊拉', endStation: '羊拉', startTime: '08:20', distance: '220', carType: '中客-白班', price: '65.00',  summary: '香格里拉-德钦线'},
		{ startStation: '香格里拉-羊拉矿山', endStation: '羊拉矿山', startTime: '09:00', distance: '232', carType: '中客-白班', price: '60.00',  summary: '香格里拉-德钦线'},
		{ startStation: '香格里拉-永胜', endStation: '永胜', startTime: '07:20', distance: '304', carType: '中客-白班', price: '61.00',  summary: '香格里拉-永胜'},
		{ startStation: '香格里拉-永胜', endStation: '永胜', startTime: '07:50', distance: '304', carType: '中客-白班', price: '61.00',  summary: '香格里拉-永胜'},
		{ startStation: '香格里拉-泽通', endStation: '泽通', startTime: '12:00', distance: '85', carType: '中客-白班', price: '17.00',  summary: '香格里拉-维西线'},
		{ startStation: '香格里拉-竹卡', endStation: '竹卡', startTime: '09:30', distance: '465', carType: '卧铺-白夜班', price: '140.00',  summary: '香格里拉-拉萨线'},
		{ startStation: '香格里拉-竹卡', endStation: '竹卡', startTime: '09:30', distance: '465', carType: '大客-白班', price: '140.00',  summary: '香格里拉-昌都'},
		{ startStation: '香格里拉-左贡', endStation: '左贡', startTime: '09:30', distance: '575', carType: '大客-白班', price: '190.00',  summary: '香格里拉-昌都'},
		{ startStation: '香格里拉-左贯', endStation: '左贯', startTime: '09:30', distance: '575', carType: '大客-白班', price: '190.00',  summary: '香格里拉-昌都'},
		{ startStation: '香格里拉-左贯', endStation: '左贯', startTime: '09:30', distance: '575', carType: '卧铺-白夜班', price: '190.00',  summary: '香格里拉-拉萨线'},
	])
	// 旅行社列表
	.constant('TRAVEL_LIST', [
		{name: '圣地旅行社', phone: '8228787', manager_name: '冯学雷', manager_phone:'13988789888', level_star: '三星', address: '香格里拉市长征大道56号', licence:'L-YN-00435'},
		{name: '香格里拉旅行社', phone: '18608876424', manager_name: '彭建生',manager_phone: '13988787545', level_star: '三星', address: '香格里拉市康珠大道环太商业街A栋二楼', licence: 'L-YN-00427'},
		{name: '庆南航空旅行社', phone: '13320439222', manager_name: '沈亚杰',manager_phone: '13988766680', level_star: '一星', address: '香格里拉市环太酒店商住楼二楼', licence: 'L-YN-00424'},
		{name: '圣景旅行社', phone: '8228459/13508879241', manager_name: '施翠芳',manager_phone: '暂无', level_star: '一星', address: '香格里拉市康珠大道环太地产105幢4-1', licence: 'L-YN-00417'},
		{name: '康珠旅行社', phone: '13988747220', manager_name: '徐长兴',manager_phone: '13988724395', level_star: '二星', address: '香格里拉市阳塘路46号', licence: 'L-YN-00421'},
		{name: '招商旅行社', phone: '13508879233', manager_name: '斯那央宗',manager_phone: '13988786222', level_star: '一星', address: '香格里拉市坛城旺角1-501室', licence: 'L-YN-00428'},
		{name: '迪庆扎西旅行社', phone: '13988751514', manager_name: '张雪杉',manager_phone: '6883332', level_star: '一星', address: '香格里拉市建塘东路412号', licence: 'L-YN-00433'},
		{name: '梅里雪山旅行社', phone: '8226708', manager_name: '吴宗和',manager_phone: '13988781988', level_star: '一星', address: '香格里拉市香巴拉大道纳赤德南105附4号', licence: 'L-YN-00422'},
		{name: '茶马古道旅行社', phone: '13988727045', manager_name: '马志云',manager_phone: '13988787117', level_star: '一星', address: '香格里拉市香德路东段吉顺汽车公司楼', licence: 'L-YN-00416'},
		{name: '普达措国际旅行社', phone: '8229979/15758478206', manager_name: '赵雪芹',manager_phone: '13988781668',level_star: '四星', address: '香格里拉市池慈卡街31号', licence: 'L-YN-00436'},
		{name: '卡瓦格博旅行社', phone: '8289033', manager_name: '王德志',manager_phone: '13988716677', level_star: '三星', address: '香格里拉市池慈卡街31号', licence: 'L-YN-00437'},
		{name: '香格里拉中青旅', phone: '8231555', manager_name: '和桂仙',manager_phone: '6878007', level_star: '一星', address: '香格里拉市建塘镇萨龙巷43号', licence: 'L-YN-00429'},
		{name: '藏东旅行社', phone: '8226136', manager_name: '陈俊武', manager_phone:'13988720454', level_star: '一星', address: '香格里拉市建塘镇康珠大道诚远小区办公楼三楼', licence: 'L-YN-00432'},
		{name: '蓝月山谷旅行社', phone: '8231599/18787620075', manager_name: '和建军',manager_phone: '18787620075', level_star: '一星', address: '香格里拉市古城达拉廊111号', licence: 'L-YN-00419'},
		{name: '桑品旅行社', phone: '8227058', manager_name: '辜红东', manager_phone:'13700628899', level_star: '一星', address: '香格里拉市香巴拉小镇7组701幢1单元501室', licence: 'L-YN-00423'},
		{name: '丫丫旅行社', phone: '8226784', manager_name: '和庭周', manager_phone:'13988787515', level_star: '一星', address: '香格里拉市池慈卡街33号D幢二单元401室', licence: 'L-YN-00418'},
		{name: '月亮湾旅行社', phone: '8227838/13578479997', manager_name: '那卡',manager_phone: '13988795111', level_star: '一星', address: '香格里拉市古城',licence: 'L-YN-00430'},
		{name: '康巴商道旅行社', phone: '8288648', manager_name: '扎西格丹',manager_phone: '13988778781', level_star: '一星', address: '香格里拉市北门街27号', licence: 'L-YN-00420'},
		{name: '巴拉格宗旅行社', phone: '8258366', manager_name: '8288489',manager_phone: '8230752', level_star: '二星', address: '香格里拉市康珠大道下段巴拉格宗商务酒店四楼', licence: 'L-YN-00414'},
		{name: '天界风光旅行社', phone: '8881866', manager_name: '暂无', manager_phone:'13988779903',level_star: '一星', address: '香格里拉市长征路天界神川大酒店5楼',licence: 'L-YN-00425'},
		{name: '碧野旅行社', phone: '18908885222', manager_name: '李永金',manager_phone: '18908885222', level_star: '一星', address: '香格里拉市华俊广场',licence: 'L-YN-00415'},
		{name: '香巴拉旅行社', phone: '8223415', manager_name: '苏雪兰', manager_phone:'13578478726',level_star: '一星', address: '香格里拉市华俊广场9A栋502', licence:'L-YN-00426'},
		{name: '交通旅行社', phone: '8266777', manager_name: '暂无', manager_phone:'13988777709', level_star: '一星', address: '香格里拉市日月星辰10栋1单元402',licence: 'L-YN-00431'},
		{name: '楠赛林卡旅行社', phone: '8988888', manager_name: '鲁建平',manager_phone: '13988719999', level_star: '暂无', address: '香格里拉市香巴拉大道纳赤德南小区9幢99附2-102', licence: 'L-YN-00578'},
		{name: '千禧旅行社', phone: '13988859123/13988706668', manager_name: '彭琳',manager_phone: '暂无', level_star: '暂无', address: '香格里拉市独克宗古城',licence: 'L-YN-00579'},
		{name: '绿宝石旅行社', phone: '13988781168', manager_name: '暂无',manager_phone: '13988781168', level_star: '暂无', address: '维西县保和镇顺城北路121号', licence: 'L-YN-00574'},
		{name: '古城旅行社', phone: '13988717777', manager_name: '马跃中',manager_phone: '13988717777', level_star: '暂无', address: '香格里拉市小中甸联合村竹公组', licence: 'L-YN-00576'},
		{name: '九仙峰旅行社', phone: '8886789', manager_name: '余桂兰', manager_phone:'18608879885',level_star: '暂无', address: '香格里拉市坛城南区4-1-1', licence:'L-YN-00783'},
		{name: '绿松石旅行社', phone: '13988787603', manager_name: '孙涛',manager_phone: '13988787603', level_star: '暂无', address: '香格里拉市日月星辰15栋301楼', licence: 'L-YN-00780'},
		{name: '千里之行旅行社', phone: '15908874599', manager_name: '陶秀媛',manager_phone: '13888264999', level_star: '暂无',  address: '香格里拉市阳塘路福来登酒店4楼', licence: 'L-YN-00779'},
		{name: '海氏旅行社', phone: '13988752735', manager_name: '杨盛龙',manager_phone: '13988752735', level_star: '暂无', address: '香格里拉市建塘镇香巴拉小镇202栋A区三单元201室', licence: 'L-YN-00788'},
		{name: '迪庆州松赞旅行社有限责任公司', phone: '13988708511', manager_name: '白玛多吉', manager_phone: '13988708511', level_star: '暂无', address: '迪庆州香格里拉市松赞林寺克纳村小街子', licence: 'L-YN-00918'},
		{name: '迪庆誉英旅行社有限责任公司', phone: '13988790613', manager_name: '杨子浩', manager_phone: '13988790613', level_star: '暂无', address: '迪庆州香格里拉市华俊广场', licence: 'L-YN-00921'},
		{name: '香格里拉市人和旅行社有限公司', phone: '13888071675', manager_name: '和建军', manager_phone: '13888071675', level_star: '暂无', address: '迪庆州香格里拉市昌都路商都2栋3单元302室', licence: 'L-YN-00922'},
	])
	// 导游列表
	.constant('GUIDES_LIST', [
		{name:'陈静', sex: '女', user_number: '533421197904250224',guide_number:'D-5334-000070', phone: '13988718189'},
		{name: '和兆琴', sex: '女', user_number: '533421198305010944', guide_number: 'D-5334-000218', phone: '13988721162'},
		{name: '和云春', sex: '女', user_number: '533421197508130925', guide_number: 'D-5334-000543', phone: '13988706510'},
		{name: '张继珍', sex: '女', user_number: '530102197808141126', guide_number: 'D-5334-000422', phone: '13508874659'},
		{name: '赵雪松', sex: '男', user_number: '533423197905210032', guide_number: 'D-5334-000117', phone: '13988769939'},
		{name: '代晓丽', sex: '女', user_number: '53342119830405112X', guide_number: 'D-5334-000302', phone: '13988705377'},
		{name: '王文群', sex: '女', user_number: '533421198304170022', guide_number: 'D-5334-000332', phone: '13988716855'},
		{name: '李雪清', sex: '女', user_number: '533421197812240029', guide_number: 'D-5334-000582', phone: '13988709993'},
		{name: '马玉泉', sex: '男', user_number: '533421197606220019', guide_number: 'D-5334-000635', phone: '13988709280'},
		{name: '李雪芳', sex: '女', user_number: '533421197608100723', guide_number: 'D-5334-000580', phone: '13618879009'},
		{name: '阿茸扎史', sex: '男', user_number: '53342219800705091X', guide_number: 'D-5334-000592', phone: '13988752484'},
		{name: '蒋翠芳', sex: '女', user_number: '533421197907080929', guide_number: 'D-5334-000405', phone: '13988720092'},
		{name: '莫丽花', sex: '女', user_number: '533421198103250026', guide_number: 'D-5334-000555', phone: '13988792800'},
		{name: '张晓明', sex: '男', user_number: '533421198105020339', guide_number: 'D-5334-000233', phone: '13988733871'},
		{name: '王金丽', sex: '女', user_number: '533421197402090523', guide_number: 'D-5334-000152', phone: '13988770533'},
		{name: '和志强', sex: '男', user_number: '533421199312082115', guide_number: 'D-5334-000854', phone: '13988750062'},
		{name: '和群丽', sex: '女', user_number: '533421199012210920', guide_number: 'D-5334-000616', phone: '13988722884'},
		{name: '李和春', sex: '女', user_number: '533423199210041526', guide_number: 'D-5334-000802', phone: '18787690034'},
		{name: '和法祥', sex: '男', user_number: '533421199001090919', guide_number: 'D-5334-000657', phone: '18808872226'},
		{name: '杨成武', sex: '男', user_number: '533421198101011136', guide_number: 'D-5334-000600', phone: '13988793044'},
		{name: '宋兴平', sex: '男', user_number: '533421198509270713', guide_number: 'D-5334-000207', phone: '15912788180'},
		{name: '张杰', sex: '男', user_number: '533421198010020918', guide_number: 'D-5334-000236', phone: '13988769191'},
		{name: '马志宏', sex: '男', user_number: '533421198108010312', guide_number: 'D-5334-000359', phone: '13988715007'},
		{name: '沈建林', sex: '男', user_number: '533421198311050934', guide_number: 'D-5334-000782',	phone: '13988759917'},
		{name: '和宏', sex: '男', user_number: '533421198911142111', guide_number: 'D-5334-000787', phone: '15096409383'},
		{name: '蒋韶英', sex: '女', user_number: '53322119820906292X', guide_number: 'D-5334-000551', phone: '13988720611'},
		{name: '朱海燕', sex: '女', user_number: '533421198110040924', guide_number: 'D-5334-000168', phone: '13988725942'},
		{name: '金坤花', sex: '女', user_number: '533421198007202147', guide_number: 'D-5334-000010', phone: '15608882877'},
		{name: '刘云城', sex: '男', user_number: '533421198608030731', guide_number: 'D-5334-000465', phone: '13988795206'},
		{name: '邱顺祥', sex: '男', user_number: '533421197911040719', guide_number: 'D-5334-000216', phone: '13988715079'},
		{name: '诺杰拉姆', sex: '女', user_number: '533421198706042322', guide_number: 'D-5334-000749', phone: '15987599024'},
		{name: '尹大超', sex: '男', user_number: '533421197909061115', guide_number: 'D-5334-000830', phone: '13508872686'},
		{name: '肖红光', sex: '男', user_number: '533421198105022131', guide_number: 'D-5334-000192', phone: '13988768770'},
		{name: '尹曾丽', sex: '女', user_number: '530125198606061522', guide_number: 'D-5334-000729', phone: '13518706845'},
		{name: '和文卫', sex: '男', user_number: '533421198607012136', guide_number: 'D-5334-000527', phone: '15987599902'},
		{name: '陈辉月', sex: '女', user_number: '533421198604070728', guide_number: 'D-5334-000389', phone: '13988778726'},
		{name: '和润红', sex: '男', user_number: '533421198003152111', guide_number: 'D-5334-000458', phone: '13988757877'},
		{name: '赵红花', sex: '女', user_number: '533421198701100722', guide_number: 'D-5334-000758', phone: '15987599576'},
		{name: '胡建华', sex: '男', user_number: '533421199008170911', guide_number: 'D-5334-000789', phone: '18587182007'},
		{name: '李欧', sex: '女', user_number: '533421198810010742', guide_number: 'D-5334-000487', phone: '13988789109'},
		{name: '和文玉', sex: '女', user_number: '533421198701170923', guide_number: 'D-5334-000598', phone: '13988715344'},
		{name: '韩贵先', sex: '女', user_number: '533423198710251525', guide_number: 'D-5334-000552', phone: '13988701612'},
		{name: '和梅', sex: '女', user_number: '533423198406181323', guide_number: 'D-5334-000272', phone: '13988795011'},
		{name: '和向梅', sex: '女', user_number: '53342319830308132X', guide_number: 'D-5334-000237', phone: '13578477086'},
		{name: '杨宏英', sex: '女', user_number: '533421198703062125', guide_number: 'D-5334-000742', phone: '13988774610'},
		{name: '李清林', sex: '男', user_number: '533423198406121515', guide_number: 'D-5334-000511', phone: '13988736911'},
		{name: '和建军', sex: '男', user_number: '533423197909011559', guide_number: 'D-5334-000355', phone: '13988727740'},
		{name: '阿茸', sex: '男', user_number: '533422198103180933', guide_number: 'D-5334-000751', phone: '15911878890'},
		{name: '和金宝', sex: '男', user_number: '533423198607171551', guide_number: 'D-5334-000531', phone: '13988769656'},
		{name: '和胜春', sex: '男', user_number: '530111198210016639', guide_number: 'D-5334-000128', phone: '13988712424'},
		{name: '和丽华', sex: '男', user_number: '533423198705211510', guide_number: 'D-5334-000579', phone: '13988703033'},
		{name: '杨晓梅', sex: '女', user_number: '533421198905102121', guide_number: 'D-5334-000734', phone: '18708871115'},
		{name: '杨秋香', sex: '女', user_number: '533421198805052120', guide_number: 'D-5334-000846',	phone: '13988798803'},
		{name: '和振新', sex: '女',	user_number: '533421199008270728',	guide_number: 'D-5334-000691',	phone: '13988755630'},
		{name: '李占月', sex: '女',	user_number: '533221198711244729',	guide_number: 'D-5334-000547',	phone: '13988718189'},
		{name: '李红润', sex: '女',	user_number: '533423198304170324',	guide_number: 'D-5334-000354',	phone: '13688772149'},
		{name: '黄雪莲', sex: '女',	user_number: '533423197906010024',	guide_number: 'D-5334-000697',	phone: '13688772149'},
		{name: '李晓静', sex: '女',	user_number: '533421197804130321',	guide_number: 'D-5334-000131',	phone: '13988710000'},
		{name: '李正武', sex: '男',	user_number: '53342119900424213X',	guide_number: 'D-5334-000775',	phone: '13988766802'},
		{name: '陈春丽', sex: '女',	user_number: '53032519910315196X',	guide_number: 'D-5334-000747',	phone: '15096665884'},
		{name: '杨玄雁', sex: '女',	user_number: '533221198603274525',	guide_number: 'D-5334-000718',	phone: '13988786268'},
		{name: '王仔芳', sex: '女',	user_number: '533421198303231129',	guide_number: 'D-5334-000663',	phone: '13988717186'},
		{name: '姚品元', sex: '男',	user_number: '532701198212060037',	guide_number: 'D-5334-000609',	phone: '13988787493'},
		{name: '谢美云', sex: '女',	user_number: '533421197902080962',	guide_number: 'D-5334-000019',	phone: '15126092112'},
		{name: '和继辉', sex: '男',	user_number: '533421197812202110',	guide_number: 'D-5334-000009',	phone: '13988750119'},
		{name: '龚继梅', sex: '女',	user_number: '533221198703094927',	guide_number: 'D-5334-000796',	phone: '13108882681'},
		{name: '马永华', sex: '男',	user_number: '53230119781201373X',	guide_number: 'D-5334-000320',	phone: '13988719459'},
		{name: '余俊祥', sex: '男',	user_number: '533422198307070015',	guide_number: 'D-5334-000694',	phone: '13988709233'},
		{name: '苟迎红', sex: '女',	user_number: '533423198707050749',	guide_number: 'D-5334-000517',	phone: '13988705297'},
		{name: '赵文亮', sex: '男',	user_number: '533421197907160312',	guide_number: 'D-5334-000284',	phone: '13988779835'},
		{name: '杨彪', sex: '男',	user_number: '533421197606100711',	guide_number: 'D-5334-000148',	phone: '13988771744'},
		{name: '杨伟', sex: '男',	user_number: '533421198702062131',	guide_number: 'D-5334-000624',	phone: '13988890102'},
		{name: '李俊贤', sex: '男',	user_number: '533421197809020922',	guide_number: 'D-5334-000295',	phone: '13988758552'},
		{name: '和志雄', sex: '男',	user_number: '533421198012070716',	guide_number: 'D-5334-000006',	phone: '13988779925'},
		{name: '周龙', sex: '男',	user_number: '533423198502280014',	guide_number: 'D-5334-000211',	phone: '18587097727'},
		{name: '龙层', sex: '男',	user_number: '533421198407171917',	guide_number: 'D-5334-000660',	phone: '15925467299'},
		{name: '李竣', sex: '男',	user_number: '533421198609011110',	guide_number: 'D-5334-000829',	phone: '13988705403'},
		{name: '李翠琴', sex: '女',	user_number: '533421198209170729',	guide_number: 'D-5334-000271',	phone: '13988763060'},
		{name: '尼玛此里', sex: '男',	user_number: '533422198404081138', guide_number: 'D-5334-000858',	phone: '13988777214'},
		{name: '黄春', sex: '女',	user_number: '452330198005010440',	guide_number: 'D-5334-000744',	phone: '15912231276'},
		{name: '李雪龙', sex: '男',	user_number: '533423198801080530',	guide_number: 'D-5334-000723',	phone: '13988766207'},
		{name: '和院华', sex: '男',	user_number: '533423198902160310',	guide_number: 'D-5334-000736',	phone: '15608878766'},
		{name: '陈丽', sex: '女',	user_number: '533421198008110068',	guide_number: 'D-5334-000646',	phone: '13988750700'},
		{name: '王丽萍', sex: '女', 	user_number: '533421198112290927',	guide_number: 'D-5334-000239',	phone: '13988759262'},
		{name: '唐桂奇', sex: '男',	user_number: '533421197610010778',	guide_number: 'D-5334-000099',	phone: '13308870177'},
		{name: '和建全', sex: '男',	user_number: '53342119781228091X',	guide_number: 'D-5334-000764',	phone: '13988792442'},
		{name: '杨肖军', sex: '男',	user_number: '533421198512130017',	guide_number: 'D-5334-000811',	phone: '13988760082'},
		{name: '和丽花', sex: '女', 	user_number: '533423198909051563',	guide_number: 'D-5334-000809',	phone: '13988739928'},
		{name: '和卫平', sex: '男',	user_number: '533421197809180918',	guide_number: 'D-5334-000421',	phone: '13988720598'},
		{name: '黄泽平', sex: '女',	user_number: '533421197805240928',	guide_number: 'D-5334-000456',	phone: '13988794070'},
		{name: '杨惠菊', sex: '女',	user_number: '533421197911120022',	guide_number: 'D-5334-000568',	phone: '13988756123'},
		{name: '陈红梅', sex: '女',	user_number: '53342119811028032x',	guide_number: 'D-5334-000044',	phone: '13988715216'},
		{name: '和桂军', sex: '男',	user_number: '533421197003090710',	guide_number: 'D-5334-000095',	phone: '18608882890'},
		{name: '和秀云', sex: '女',	user_number: '533421197810070329',	guide_number: 'D-5334-000461',	phone: '13988793373'},
		{name: '和建龙', sex: '男',	user_number: '533421198802041119',	guide_number: 'D-5334-000732',	phone: '13988757544'},
		{name: '李艳聪', sex: '男',	user_number: '533423198411250717',	guide_number: 'D-5334-000682',	phone: '15911874989'},
		{name: '韩荣康', sex: '男',	user_number: '533421197810150919',	guide_number: 'D-5334-000164',	phone: '13988778986'},
		{name: '龙立华', sex: '男',	user_number: '533421198403090917',	guide_number: 'D-5334-000686',	phone: '13988710656'},
		{name: '黄梦楠', sex: '女',	user_number: '610102198611281963',	guide_number: 'D-5334-000754',	phone: '18608880986'},
		{name: '金坤荣', sex: '男',	user_number: '533421198307052136',	guide_number: 'D-5334-000467',	phone: '13988750099'},
		{name: '任李云', sex: '女',	user_number: '53342119830804092X',	guide_number: 'D-5334-000575',	phone: '13988742284'},
		{name: '益西达瓦', sex: '男',	user_number: '533422197801281112', guide_number: 'D-5334-000326',	phone: '13508879332'},
		{name: '王燕佳', sex: '男',	user_number: '533422197801281112',	guide_number: 'D-5334-000326',	phone: '13508879332'},
		{name: '俞林', sex: '男',	user_number: '53310319830101341X',	guide_number: 'D-5334-000376',	phone: '13988771050'},
		{name: '鲍国莉', sex: '女',	user_number: '53342119851226092X',	guide_number: 'D-5334-000560',	phone: '13578478585'},
		{name: '李庆春', sex: '女',	user_number: '533421197607280320',	guide_number: 'D-5334-000502',	phone: '13988707835'},
		{name: '和金莲', sex: '女',	user_number: '533421198005090321',	guide_number: 'D-5334-000714',	phone: '13988775185'},
		{name: '张功湖', sex: '女',	user_number: '533423198108130026',	guide_number: 'D-5334-000150',	phone: '13988768690'},
		{name: '李建琴', sex: '女',	user_number: '533421198211170728',	guide_number: 'D-5334-000170',	phone: '13988759366'},
		{name: '和桂花', sex: '女',	user_number: '533221197712304725',	guide_number: 'D-5334-000546',	phone: '13988719011'},
		{name: '李凤珍', sex: '女',	user_number: '533421198205010525',	guide_number: 'D-5334-000310',	phone: '13312736699'},
		{name: '和昕', sex: '女',	user_number: '533421198112180920',	guide_number: 'D-5334-000343',	phone: '15308876688'},
		{name: '伍新贵', sex: '男',	user_number: '533421197811060317',	guide_number: 'D-5334-000091',	phone: '13988777717'},
		{name: '七林央宗', sex: '女',	user_number: '53342119761014002X', guide_number: 'D-5334-000015',	phone: '13988726966'},
		{name: '赵东凌', sex: '男',	user_number: '533421198503060715',	guide_number: 'D-5334-000711',	phone: '13988704478'},
		{name: '李黎', sex: '女',	user_number: '533423198107110023',	guide_number: 'D-5334-000491',	phone: '13988746652'},
		{name: '赵松柏', sex: '男',	user_number: '53322119800505491X',	guide_number: 'D-5334-000661',	phone: '13988898424'},
		{name: '和天华', sex: '男',	user_number: '53342119780903214',	guide_number: 'D-5334-000786',	phone: '13038608888'},
		{name: '周富家', sex: '男',	user_number: '53342119780224021X',	guide_number: 'D-5334-000485',	phone: '13988703661'},
		{name: '和桂花', sex: '女',	user_number: '533421198709272123',	guide_number: 'D-5334-000740',	phone: '13578477010'},
		{name: '唐丽芬', sex: '女',	user_number: '53342119831215214X',	guide_number: 'D-5334-000573',	phone: '13988745329'},
		{name: '潘桂花', sex: '女',	user_number: '533421198010112142',	guide_number: 'D-5334-000514',	phone: '13988799298'},
		{name: '和金伟', sex: '男',	user_number: '53322419870901291X',	guide_number: 'D-5334-000726',	phone: '15240984960'},
		{name: '陈崇梁', sex: '男',	user_number: '533224198711070718',	guide_number: 'D-5334-000721',	phone: '13988828730'},
		{name: '张建梅', sex: '女',	user_number: '53342119860114092X',	guide_number: 'D-5334-000545',	phone: '13578477365'},
		{name: '解晨松', sex: '男',	user_number: '533221198308282928',	guide_number: 'D-5334-000855',	phone: '18608876005'},
		{name: '李群英', sex: '女',	user_number: '533421198211130726',	guide_number: 'D-5334-000111',	phone: '13988798855'},
		{name: '和仕全', sex: '男',	user_number: '533221197612183313',	guide_number: 'D-5334-000873',	phone: '15126097323'},
		{name: '夏学芬', sex: '女',	user_number: '533421197804200924',	guide_number: 'D-5334-000574',	phone: '13988750773'},
		{name: '杨顺生', sex: '女',	user_number: '533421198706100721',	guide_number: 'D-5334-000626',	phone: '13988700527'},
		{name: '杨双坐', sex: '女',	user_number: '532901199105222227',	guide_number: 'D-5334-000757',	phone: '15284560142'},
		{name: '和建珍', sex: '女',	user_number: '533423197808121126',	guide_number: 'D-5334-000414',	phone: '13988782402'},
		{name: '杨操', sex: '男',	user_number: '533222198209053616',	guide_number: 'D-5334-000294',	phone: '13688766268'},
		{name: '杨莹馨', sex: '女',	user_number: '533421198907102141',	guide_number: 'D-5334-000780',	phone: '18608879122'},
		{name: '处学美', sex: '女',	user_number: '533423199010280725',	guide_number: 'D-5334-000611',	phone: '15911877426'},
		{name: '陈绍义', sex: '男',	user_number: '533423199208030318',	guide_number: 'D-5334-000859',	phone: '15008861720'},
		{name: '贺莹', sex: '女',	user_number: '533221198706121943',	guide_number: 'D-5334-000693',	phone: '18787650614'},
		{name: '杨琴', sex: '女',	user_number: '533221199106101927',	guide_number: 'D-5334-000722',	phone: '18388825581'},
		{name: '和晓红', sex: '女',	user_number: '533221198003200020',	guide_number: 'D-5334-000492',	phone: '18608877123'},
		{name: '朱旭晴', sex: '女',	user_number: '533421198610280721',	guide_number: 'D-5334-000785',	phone: '13988720735'},
		{name: '黄严军', sex: '男',	user_number: '53342119870912151X',	guide_number: 'D-5334-000713',	phone: '13988720594'},
		{name: '毛佳', sex: '女',	user_number: '533421198207142329',	guide_number: 'D-5334-000801',	phone: '13116900006'},
		{name: '伍开元', sex: '男',	user_number: '53342119780607073x',	guide_number: 'D-5334-000356',	phone: '15608888501'},
		{name: '张薇薇', sex: '女',	user_number: '533423198308270023',	guide_number: 'D-5334-000425',	phone: '13577081080'},
		{name: '赵涛', sex: '男',	user_number: '533421197908151135',	guide_number: 'D-5334-000444',	phone: '13988730162'},
		{name: '和晓虎', sex: '男',	user_number: '533421197909050918',	guide_number: 'D-5334-000583',	phone: '13988773533'},
		{name: '苏叶', sex: '女',	user_number: '533421198204061128',	guide_number: 'D-5334-000468',	phone: '13988788951'},
		{name: '王艳华', sex: '女',	user_number: '530111198109106728',	guide_number: 'D-5334-000365',	phone: '13988786160'},
		{name: '刘兴钢', sex: '男',	user_number: '533421198209260919',	guide_number: 'D-5334-000472',	phone: '15894369288'},
		{name: '梁宏', sex: '男',	user_number: '533421197609150036',	guide_number: 'D-5334-000553',	phone: '13988728292'},
		{name: '刘梅', sex: '女',	user_number: '533421198511221128',	guide_number: 'D-5334-000438',	phone: '13988788525'},
		{name: '和芬', sex: '女',	user_number: '533421197609211126',	guide_number: 'D-5334-000504',	phone: '13988722276'},
		// {name: '和玉顺', sex: '女',	user_number: '533421197907160726',	guide_number: 'D-5334-000427',	phone: '13988746644'},
		{name: '施云辉', sex: '男',	user_number: '533421197410160034',	guide_number: 'D-5334-000639',	phone: '15925460968'},
		{name: '李建梅', sex: '女',	user_number: '533421198408090721',	guide_number: 'D-5334-000490',	phone: '13988754513'},
		{name: '王兆娟', sex: '女',	user_number: '532924198705120726',	guide_number: 'D-5334-000763',	phone: '13688787182'},
		{name: '郭寿云', sex: '女',	user_number: '533421198605020941',	guide_number: 'D-5334-000557',	phone: '13988736691'},
		{name: '和丽花', sex: '女',	user_number: '533423197405140023',	guide_number: 'D-5334-000017',	phone: '13988786976'},
		{name: '张俊', sex: '男',	user_number: '53322419911001071X',	guide_number: 'D-5334-000647',	phone: '18213228182'},
		{name: '李静', sex: '女',	user_number: '533222198405184349',	guide_number: 'D-5334-000558',	phone: '13208884880'},
		{name: '孙小舟', sex: '男',	user_number: '533423197607140013',	guide_number: 'D-5334-000707',	phone: '13988721533'},
		{name: '李建林', sex: '男',	user_number: '533421197609090918',	guide_number: 'D-5334-000322',	phone: '13988786948'},
		{name: '刘春仙', sex: '女',	user_number: '533421197903180228',	guide_number: 'D-5334-000034',	phone: '13988701690'},
		{name: '海琴', sex: '女',	user_number: '53342119900924074X',	guide_number: 'D-5334-000463',	phone: '13378872022'},
		{name: '杨树琼', sex: '女',	user_number: '530324198309121145',	guide_number: 'D-5334-000409',	phone: '13658857081'},
		{name: '和灿禧', sex: '女',	user_number: '533421198808100941',	guide_number: 'D-5334-000760',	phone: '15308872122'},
		{name: '杨春丽', sex: '女',	user_number: '533221198112142528',	guide_number: 'D-5334-000275',	phone: '13988795015'},
		{name: '刘芳莉', sex: '女',	user_number: '533421197111080026',	guide_number: 'D-5334-000377',	phone: '13988719780'},
		{name: '和淑芳', sex: '女',	user_number: '533421198010200329',	guide_number: 'D-5334-000139',	phone: '13988793132'},
		{name: '定主扎史', sex: '男',	user_number: '533422199206060314', guide_number: 'D-5334-000644',	phone: '13988777823'},
		{name: '陈波', sex: '女',	user_number: '533421197711150323',	guide_number: 'D-5334-000471',	phone: '13988780930'},
		{name: '李丽高', sex: '男',	user_number: '533423198709230313',	guide_number: 'D-5334-000653',	phone: '15894378716'},
		{name: '和丽琼', sex: '女',	user_number: '533421198810050947',	guide_number: 'D-5334-000618',	phone: '18288822565'},
		{name: '取初', sex: '女',	user_number: '533422198406141325',	guide_number: 'D-5334-000475',	phone: '13988795007'},
		{name: '文建康', sex: '男',	user_number: '533421197808240018',	guide_number: 'D-5334-000656',	phone: '13988722886'},
		{name: '赵丹', sex: '男',	user_number: '533421199003280919',	guide_number: 'D-5334-000805',	phone: '13988793786'},
		{name: '海春梅', sex: '女',	user_number: '533422197711250021',	guide_number: 'D-5334-000299',	phone: '13988758601'},
		{name: '杨翠', sex: '女',	user_number: '532301198307203721',	guide_number: 'D-5334-000446',	phone: '13508871744'},
		{name: '苟克武', sex: '男',	user_number: '53342119890413093X',	guide_number: 'D-5334-000668',	phone: '13988707413'},
		{name: '喻珍', sex: '女',	user_number: '533421198905270029',	guide_number: 'D-5334-000842',	phone: '13988709882'},
		{name: '邓新华', sex: '男',	user_number: '533421197508081537',	guide_number: 'D-5334-000249',	phone: '13988712685'},
		{name: '杨晓燕', sex: '女',	user_number: '533421199406080022',	guide_number: 'D-5334-000872',	phone: '13988738440'},
		{name: '王振云', sex: '男',	user_number: '533421198804222116',	guide_number: 'D-5334-000836',	phone: '15987599255'},
		{name: '杨红香', sex: '女',	user_number: '533421198507152123',	guide_number: 'D-5334-000242',	phone: '13988731102'},
		{name: '赵燕', sex: '女',	user_number: '533423198104011927',	guide_number: 'D-5334-000629',	phone: '15331430599'},
		{name: '李晓龙', sex: '男',	user_number: '533423198103040531',	guide_number: 'D-5334-000541',	phone: '13988798421'},
		{name: '袁发花', sex: '女',	user_number: '533421198708060786',	guide_number: 'D-5334-000825',	phone: '13618872951'},
		{name: '何金品', sex: '男',	user_number: '533421198206270919',	guide_number: 'D-5334-000642',	phone: '18808855805'},
		{name: '此里竹玛', sex: '女',	user_number: '533422199211020923', guide_number: 'D-5334-000746',	phone: '13988745115'},
		{name: '和秀芬', sex: '女',	user_number: '533421198305041142',	guide_number: 'D-5334-000392',	phone: '13988743285'},
		{name: '和宇芬', sex: '女',	user_number: '533421198010040927',	guide_number: 'D-5334-000766',	phone: '13988724280'},
		{name: '祁小亮', sex: '男',	user_number: '53342319871108153X',	guide_number: 'D-5334-000627',	phone: '15911878767'},
		{name: '王杰', sex: '男',	user_number: '533421199209040910',	guide_number: 'D-5334-000847',	phone: '13988733976'},
		{name: '陈杰', sex: '男',	user_number: '533421198912170915',	guide_number: 'D-5334-000812',	phone: '13988722113'},
		{name: '邓红芳', sex: '女',	user_number: '533421198008270723',	guide_number: 'D-5334-000821',	phone: '13618872307'},
		{name: '和秀泉', sex: '男',	user_number: '533423198906061512',	guide_number: 'D-5334-000752',	phone: '13988742251'},
		{name: '杨生', sex: '男',	user_number: '533421197807062117',	guide_number: 'D-5334-000448',	phone: '13988715802'},
		{name: '朱海全', sex: '男',	user_number: '533421197711120917',	guide_number: 'D-5334-000092',	phone: '13988766365'},
		{name: '和文光', sex: '男',	user_number: '533421197812300917',	guide_number: 'D-5334-000098',	phone: '13988713683'},
		{name: '陈浪', sex: '女',	user_number: '533421198204162121',	guide_number: 'D-5334-000622',	phone: '13988786978'},
		{name: '苟迎燕', sex: '女',	user_number: '533423198307280721',	guide_number: 'D-5334-000401',	phone: '13988792233'},
		{name: '和丽萍', sex: '女',	user_number: '53342119811108112X',	guide_number: 'D-5334-000548',	phone: '13988745356'},
		{name: '王振迪', sex: '男',	user_number: '533421198210082136',	guide_number: 'D-5334-000658',	phone: '15087228849'},
		{name: '杨胥平', sex: '男',	user_number: '533421199307202119',	guide_number: 'D-5334-000798',	phone: '15284578800'},
		{name: '杨玉珍', sex: '女',	user_number: '533421198102271749',	guide_number: 'D-5334-000399',	phone: '13988786767'},
		{name: '姚远', sex: '男',	user_number: '533421198807070912',	guide_number: 'D-5334-000804',	phone: '13988726952'},
		{name: '和松华', sex: '男',	user_number: '533421198603072115',	guide_number: 'D-5334-000813',	phone: '13988775752'},
		{name: '和蔷舟', sex: '女',	user_number: '533421198302100944',	guide_number: 'D-5334-000489',	phone: '13988798203'},
		{name: '和继平', sex: '女',	user_number: '533421198505200945',	guide_number: 'D-5334-000827',	phone: '13988754718'},
		{name: '桑吉央宗', sex: '女',	user_number: '533421198307120020', guide_number: 'D-5334-000623',	phone: '13988753005'},
		{name: '拉茸七主', sex: '男',	user_number: '533421199008101537', guide_number: 'D-5334-000834',	phone: '15925465665'},
		{name: '和富菊', sex: '女',	user_number: '533221199309060520',	guide_number: 'D-5334-000797',	phone: '18787627114'},
		{name: '刘顺香', sex: '女',	user_number: '532524197709240323',	guide_number: 'D-5334-000391',	phone: '13988736899'},
		{name: '陆文英', sex: '女',	user_number: '533421198910280926',	guide_number: 'D-5334-000800',	phone: '13988747971'},
		{name: '格茸卓玛', sex: '女',	user_number: '533421199206020324', guide_number: 'D-5334-000828',	phone: '13988793867'},
		{name: '陆定一', sex: '男', 	user_number: '533421198112102316',	guide_number: 'D-5334-000756',	phone: '15208877383'},
		{name: '孙娜卓玛', sex: '女',	user_number: '533421199512051727', guide_number: 'D-5334-000867',	phone: '13578472160'},
		{name: '陶盛', sex: '女',	user_number: '533421198506061123',	guide_number: 'D-5334-000525',	phone: '13988767230'},
		{name: '余海琴', sex: '女',	user_number: '533423198012160028',	guide_number: 'D-5334-000412',	phone: '13988768482'},
		{name: '杨贵红', sex: '男',	user_number: '533421197910302115',	guide_number: 'D-5334-000806',	phone: '13988776235'},
		{name: '陶智灵', sex: '女',	user_number: '533423198612160021',	guide_number: 'D-5334-000628',	phone: '13578475918'},
		{name: '罗化英', sex: '女',	user_number: '533421198007190545',	guide_number: 'D-5334-000484',	phone: '13988721382'},
		{name: '杨强', sex: '男',	user_number: '533423198101010136',	guide_number: 'D-5334-000383',	phone: '13988753949'},
		{name: '陈宝兰', sex: '女',	user_number: '530424199012031443',	guide_number: 'D-5334-000783',	phone: '15240993384'},
		{name: '黄晓媛', sex: '女',	user_number: '53342319850724002X',	guide_number: 'D-5334-000562',	phone: '13988795010'},
		{name: '杨丽忠', sex: '男',	user_number: '533421198010161315',	guide_number: 'D-5334-000538',	phone: '13988758693'},
		{name: '和晓东', sex: '男',	user_number: '53342119901016211X',	guide_number: 'D-5334-000569',	phone: '13988777682'},
		{name: '王芬', sex: '女',	user_number: '533423198303250322',	guide_number: 'D-5334-000670',	phone: '15925466964'},
		{name: '都吉', sex: '男',	user_number: '533422198105181315',	guide_number: 'D-5334-000631',	phone: '13988795384'},
		{name: '陈康', sex: '男',	user_number: '533421198608182110',	guide_number: 'D-5334-000671',	phone: '13988783203'},
		{name: '和桂秀', sex: '女',	user_number: '533421198607042167',	guide_number: 'D-5334-000641',	phone: '15987593716'},
		{name: '苏琼', sex: '女',	user_number: '53342119800614212X',	guide_number: 'D-5334-000372',	phone: '13988776877'},
		{name: '彭志强', sex: '男',	user_number: '533423198204051571',	guide_number: 'D-5334-000630',	phone: '13988775645'},
		{name: '田井荣', sex: '男',	user_number: '53322419851221071X',	guide_number: 'D-5334-000841',	phone: '18213206297'},
		{name: '寸陈', sex: '男',	user_number: '533421198709141115',	guide_number: 'D-5334-000817',	phone: '13988739834'},
		{name: '和志花', sex: '女',	user_number: '53342119790515092X',	guide_number: 'D-5334-000768',	phone: '13988768993'},
		{name: '和刚', sex: '男',	user_number: '533421198608092318',	guide_number: 'D-5334-000398',	phone: '13988777606'},
		{name: '彭尚开', sex: '女',	user_number: '533421199007260720',	guide_number: 'D-5334-000652',	phone: '15184995952'},
		{name: '姜春明', sex: '男',	user_number: '533421197807202319',	guide_number: 'D-5334-000400',	phone: '13988761945'},
		{name: '刘玉松', sex: '男',	user_number: '533421198504011114',	guide_number: 'D-5334-000452',	phone: '13988799403'},
		{name: '王珍', sex: '女',	user_number: '533423198702171541',	guide_number: 'D-5334-000238',	phone: '13988783245'},
		{name: '王建芳', sex: '女',	user_number: '533423198110101523',	guide_number: 'D-5334-000526',	phone: '13988780884'},
		{name: '李刚', sex: '男',	user_number: '533423198310040016',	guide_number: 'D-5334-000455', 	phone: '13988746520'},
		{name: '王苏明', sex: '女',	user_number: '321283197901040026',	guide_number: 'D-5334-000447',	phone: '13988729005'},
		{name: '江参', sex: '男',	user_number: '533421199212050511',	guide_number: 'D-5334-000677',	phone: '15096402479'},
		{name: '陈旭江', sex: '男',	user_number: '533423198412270330',	guide_number: 'D-5334-000323',	phone: '13988786953'},
		{name: '邱晓刚', sex: '男',	user_number: '53342119840708213X',	guide_number: 'D-5334-000220',	phone: '13988742559'},
		{name: '李毅辉', sex: '男',	user_number: '533421198203140916',	guide_number: 'D-5334-000411',	phone: '13988795019'},
		{name: '谢红杏', sex: '女',	user_number: '533421198203090920',	guide_number: 'D-5334-000457',	phone: '13988746662'},
		{name: '赵雪芹', sex: '女',	user_number: '440105197604210027',	guide_number: 'D-5334-000163',	phone: '13988781668'},
		{name: '和迎春', sex: '女',	user_number: '533421197702090525',	guide_number: 'D-5334-000273',	phone: '13988780655'},
		{name: '和玉红', sex: '女',	user_number: '533423197611180026',	guide_number: 'D-5334-000002',	phone: '18987876776'},
		{name: '和翠玲', sex: '女',	user_number: '533423198310090320',	guide_number: 'D-5334-000587',	phone: '13988774944'},
		{name: '杨玉海', sex: '女',	user_number: '533423198904032125',	guide_number: 'D-5334-000702',	phone: '15008868709'},
		{name: '孙廉旌', sex: '女',	user_number: '533421197806100345',	guide_number: 'D-5334-000368',	phone: '13988720633'},
		{name: '和迎秋', sex: '女',	user_number: '533421197805060521',	guide_number: 'D-5334-000532',	phone: '13988757205'},
		{name: '周品松', sex: '男',	user_number: '532930198108031730',	guide_number: 'D-5334-000690',	phone: '13988755821'},
		{name: '陈雯', sex: '女',	user_number: '533423198504120524',	guide_number: 'D-5334-000625',	phone: '15987596428'},
		{name: '殷学花', sex: '女',	user_number: '533421197701050740',	guide_number: 'D-5334-000634',	phone: '13988778797'},
		{name: '李庆安', sex: '女',	user_number: '533423198203031325',	guide_number: 'D-5334-000477',	phone: '13988735039'},
		{name: '周地利', sex: '女',	user_number: '533421198005010547',	guide_number: 'D-5334-000090',	phone: '13988733696'},
		{name: '和尚东', sex: '男',	user_number: '533421198210182110',	guide_number: 'D-5334-000451',	phone: '13038609752'},
		{name: '陈涛', sex: '女',	user_number: '533421197808140324',	guide_number: 'D-5334-000512',	phone: '13988780881'},
		{name: '曹秀梅', sex: '女',	user_number: '533421198412300329',	guide_number: 'D-5334-000849',	phone: '13988786945'},
		{name: '和菊花', sex: '女',	user_number: '533423197608070328',	guide_number: 'D-5334-000331',	phone: '13988786938'},
		{name: '朱昆', sex: '男',	user_number: '533421197610220214',	guide_number: 'D-5334-000328',	phone: '13988773250'},
		{name: '和秀芝', sex: '女',	user_number: '53342119870225212X',	guide_number: 'D-5334-000281',	phone: '13988765467'},
		{name: '曾发玉', sex: '女',	user_number: '533421198709281126',	guide_number: 'D-5334-000861',	phone: '13988741208'},
		{name: '张雪梅', sex: '女',	user_number: '533421197801050924',	guide_number: 'D-5334-000255',	phone: '13988727730'},
		{name: '唐立新', sex: '女',	user_number: '53342119820905092X',	guide_number: 'D-5334-000778',	phone: '13988741200'},
		{name: '黄明芬', sex: '女',	user_number: '533421197808280925',	guide_number: 'D-5334-000037',	phone: '13988799900'},
		{name: '杨学芳', sex: '女',	user_number: '53342119821217072X',	guide_number: 'D-5334-000260',	phone: '13988754966'},
		{name: '朱海林', sex: '男',	user_number: '533421197411100914',	guide_number: 'D-5334-000063',	phone: '13988737972'},
		{name: '汤艳芬', sex: '女',	user_number: '533423198212100927',	guide_number: 'D-5334-000503',	phone: '13988785667'},
		{name: '杨海燕', sex: '女',	user_number: '533421197908012143',	guide_number: 'D-5334-000519',	phone: '13988722567'},
		{name: '杨菊仙', sex: '女',	user_number: '533421199101012125',	guide_number: 'D-5334-000848',	phone: '15208878563'},
		{name: '蒋翠英', sex: '女',	user_number: '533421197702080925',	guide_number: 'D-5334-000404',	phone: '13988780087'},
		{name: '朱光丽', sex: '女',	user_number: '533421197410010028',	guide_number: 'D-5334-000143',	phone: '13508879170'},
		{name: '和向英', sex: '女',	user_number: '53342119840405212X',	guide_number: 'D-5334-000605',	phone: '15284560079'},
		{name: '丁立兴', sex: '男',	user_number: '533421198002230931',	guide_number: 'D-5334-000845',	phone: '13988747220'},
		{name: '和大水', sex: '男',	user_number: '533421197411290711',	guide_number: 'D-5334-000013',	phone: '13988711042'},
		{name: '王齐珍', sex: '女',	user_number: '53342119840602216X', guide_number: 'D-5334-000498',	phone: '13988765132'},
		{name: '杨赛群', sex: '女',	user_number: '533423198011280722',	guide_number: 'D-5334-000267',	phone: '13988720628'},
		{name: '叶建春', sex: '男',	user_number: '533423198208290318',	guide_number: 'D-5334-000213',	phone: '13988780921'},
		{name: '陆国云', sex: '女',	user_number: '533421198001230921',	guide_number: 'D-5334-000258',	phone: '13988708855'},
		{name: '和继芳', sex: '女',	user_number: '53342119800809212X',	guide_number: 'D-5334-000344',	phone: '13988740202'},
		{name: '梁芸', sex: '女',	user_number: '533423198110030040',	guide_number: 'D-5334-000417',	phone: '13578479499'},
		{name: '和青云', sex: '男',	user_number: '533421199202022111',	guide_number: 'D-5334-000856',	phone: '15894367465'},
		{name: '和翠云', sex: '女',	user_number: '533421198609151121',	guide_number: 'D-5334-000599',	phone: '15987599393'},
		{name: '孙红英', sex: '女',	user_number: '533421198505100020',	guide_number: 'D-5334-000495',	phone: '13988700360'},
		{name: '李晓梅', sex: '女',	user_number: '530111198001180045',	guide_number: 'D-5334-000748',	phone: '13988702827'},
		{name: '李雪兰', sex: '女',	user_number: '533421198103040029',	guide_number: 'D-5334-000508',	phone: '13988785886'},
		{name: '杨贵珍', sex: '女',	user_number: '533421197804161128',	guide_number: 'D-5334-000382',	phone: '13988739463'},
		{name: '阮金梅', sex: '女',	user_number: '533421197910211125',	guide_number: 'D-5334-000371',	phone: '13988786967'},
		{name: '张合菊', sex: '女',	user_number: '533421198410130921',	guide_number: 'D-5334-000257',	phone: '13988781014'},
		{name: '和志珍', sex: '女',	user_number: '530102197811031200',	guide_number: 'D-5334-000104',	phone: '13988722609'},
		{name: '赵静', sex: '女',	user_number: '530111197808152024',	guide_number: 'D-5334-000108',	phone: '13988786957'},
		{name: '李国萍', sex: '女',	user_number: '530111198312196562',	guide_number: 'D-5334-000059',	phone: '13988719969'},
		{name: '李国胜', sex: '男',	user_number: '533421198610040912',	guide_number: 'D-5334-000335',	phone: '13988791699'},
		{name: '王玲', sex: '女',	user_number: '533421198212260346',	guide_number: 'D-5334-000314',	phone: '13988776750'},
		{name: '王艳', sex: '女',	user_number: '533421199009050946',	guide_number: 'D-5334-000719',	phone: '13988706567'},
		{name: '刘宽巧', sex: '女',	user_number: '53212919930710212X',	guide_number: 'D-5334-000794',	phone: '13508879620'},
		{name: '杨晓薇', sex: '女',	user_number: '533423199208100320',	guide_number: 'D-5301-014192',	phone: '13988780071'},
		{name: '陆国军', sex: '男',	user_number: '533421197409250913',	guide_number: 'D-5334-000305',	phone: '13988776765'},
		{name: '王建菊', sex: '女',	user_number: '533421198708011140',	guide_number: 'D-5334-000607',	phone: '13618871730'},
		{name: '和仕春', sex: '女',	user_number: '533421197908111140',	guide_number: 'D-5334-000221',	phone: '13988724809'},
		{name: '尼玛卓玛', sex: '女',	user_number: '53342219780402092X', guide_number: 'D-5334-000393',	phone: '13988735699'},
		{name: '冯继华', sex: '男',	user_number: '533421198010271135',	guide_number: 'D-5334-000534',	phone: '13988730697'},
		{name: '李璐', sex: '女',	user_number: '53342119890706072X',	guide_number: 'D-5334-000589',	phone: '15184999321'},
		{name: '胡伟', sex: '男',	user_number: '5334211981108151115',	guide_number: 'D-5334-000510',	phone: '13988742398'},
		{name: '杨红星', sex: '男',	user_number: '533221197812272513',	guide_number: 'D-5334-000528',	phone: '13988737270'},
		{name: '王菊芳', sex: '女',	user_number: '533423199011140329',	guide_number: 'D-5334-000769',	phone: '15987598383'},
		{name: '唐谨俊', sex: '女',	user_number: '533421198202141124',	guide_number: 'D-5334-000067',	phone: '13988786949'},
		{name: '杨秋月', sex: '女',	user_number: '533421198908032325',	guide_number: 'D-5334-000604',	phone: '15894369010'},
		{name: '杨润花', sex: '女',	user_number: '533423198207190024',	guide_number: 'D-5334-000497',	phone: '13988716200'},
		{name: '李国俊', sex: '男',	user_number: '533421198203050937',	guide_number: 'D-5334-000494',	phone: '18608878006'},
		{name: '和杰才', sex: '男',	user_number: '533421198806082110',	guide_number: 'D-5334-000590',	phone: '13988723913'},
		{name: '胡正群', sex: '女',	user_number: '533421198910151120',	guide_number: 'D-5334-000862',	phone: '13508872949'},
		{name: '和斌慧', sex: '女',	user_number: '533421198608250929',	guide_number: 'D-5334-000396',	phone: '18608871117'},
		{name: '谢志明', sex: '男',	user_number: '533423197710071511',	guide_number: 'D-5334-000612',	phone: '13988751101'},
		{name: '和义龙', sex: '男',	user_number: '533421197412220715',	guide_number: 'D-5334-000142',	phone: '13508879745'},
		{name: '李春兰', sex: '女',	user_number: '533421198006241726',	guide_number: 'D-5334-000229',	phone: '13988760187'},
		{name: '张丽美', sex: '女',	user_number: '533421198108230921',	guide_number: 'D-5334-000001',	phone: '13508872525'},
		{name: '和玉顺', sex: '女',	user_number: '533421197907160726',	guide_number: 'D-5334-000427',	phone: '13988746644'},
		{name: '刘江龙', sex: '男',	user_number: '533421199108060912',	guide_number: 'D-5334-000741',	phone: '13988766438'},
		{name: '车建武', sex: '男',	user_number: '533421199310202113',	guide_number: 'D-5334-000738',	phone: '18213210231'},
		{name: '锋文靖', sex: '男',	user_number: '533423198711110732',	guide_number: 'D-5334-000737',	phone: '13988715302'},
		{name: '曾文', sex: '男',	user_number: '530113196612220353',	guide_number: 'D-5334-000161',	phone: '13988786925'},
		{name: '杨正宗', sex: '男',	user_number: '533421198202142151',	guide_number: 'D-5334-000591',	phone: '13988772933'},
		{name: '史剑英', sex: '女',	user_number: '530102197704143741',	guide_number: 'D-5334-000011',	phone: '13988786969'},
		{name: '罗贵华', sex: '男',	user_number: '533421198406021511',	guide_number: 'D-5334-000435',	phone: '13988735053'},
		{name: '拉茸', sex: '男',	user_number: '533421198809180517',	guide_number: 'D-5334-000843',	phone: '13508879297'},
		{name: '李春', sex: '女',	user_number: '533421198404070926',	guide_number: 'D-5334-000121',	phone: '13988780083'},
		{name: '寸玉祥', sex: '女',	user_number: '533421198401201126',	guide_number: 'D-5334-000445',	phone: '13988796651'},
		{name: '陈永毫', sex: '男',	user_number: '533423198311270315',	guide_number: 'D-5334-000701',	phone: '13988721810'},
		{name: '寸玉芳', sex: '女',	user_number: '533421198710011123',	guide_number: 'D-5334-000704',	phone: '13988739571'},
		{name: '付红雪', sex: '女',	user_number: '533025198908062480',	guide_number: 'D-5334-000815',	phone: '13988727698'},
		{name: '刘亚琴', sex: '女',	user_number: '533421198208040527',	guide_number: 'D-5334-000303',	phone: '13988771011'},
		{name: '和文秀', sex: '女',	user_number: '533421197906130322',	guide_number: 'D-5334-000542',	phone: '13988758543'},
		{name: '杨志', sex: '男',	user_number: '533421199011040712',	guide_number: 'D-5334-000810',	phone: '13988778595'},
		{name: '木丽娟', sex: '女',	user_number: '533421198812212161',	guide_number: 'D-5334-000597',	phone: '13988701784'},
		{name: '徐建芝', sex: '女',	user_number: '53342119770612004X',	guide_number: 'D-5334-000254',	phone: '18608878172'},
		{name: '班雪莲', sex: '女',	user_number: '533421197808230020',	guide_number: 'D-5334-000584',	phone: '18608870809'},
		{name: '李迅', sex: '男',	user_number: '533423198912301519',	guide_number: 'D-5334-000549',	phone: '13988777870'},
		{name: '杨楠', sex: '男',	user_number: '533423198509291517',	guide_number: 'D-5334-000530',	phone: '13988765444'},
		{name: '洛桑扎西', sex: '男',	user_number: '533423198209091513', guide_number: 'D-5334-000773',	phone: '13988788505'},
		{name: '和仕香', sex: '女',	user_number: '533421198008141120',	guide_number: 'D-5334-000654',	phone: '13988721172'},
		{name: '杨玉菊', sex: '女',	user_number: '533421198206102122',	guide_number: 'D-5334-000655',	phone: '13988756693'},
		{name: '和芬', sex: '女',	user_number: '533221199101012941',	guide_number: 'D-5334-000703',	phone: '15096403322'},
		{name: '洛桑初成', sex: '男',	user_number: '533421197809111912', guide_number: 'D-5334-000075',	phone: '13988738882'},
		{name: '冯钰群', sex: '女',	user_number: '533421198301171126',	guide_number: 'D-5334-000564',	phone: '13988760000'},
		{name: '尹永平', sex: '男',	user_number: '532301197702243737',	guide_number: 'D-5334-000053',	phone: '13988783500'},
		{name: '和玉华', sex: '男',	user_number: '53342119850607213X',	guide_number: 'D-5334-000559',	phone: '13988746908'},
		{name: '陈绍芳', sex: '女',	user_number: '533421196704050020',	guide_number: 'D-5334-000361',	phone: '13988770117'},
		{name: '和星明', sex: '男',	user_number: '533421198902042119',	guide_number: 'D-5334-000678',	phone: '13988796994'},
		{name: '和向东', sex: '男',	user_number: '533421199101022112',	guide_number: 'D-5334-000844',	phone: '15096403038'},
		// {name: '噶尔格桑杰', sex: '男',	user_number: '533423198811101550', guide_number: 'D-5334-000770',	phone: '18288828088'},
		{name: '赵劲松', sex: '男',	user_number: '533423197204010337',	guide_number: 'D-5334-000386',	phone: '13988799825'},
		{name: '李泰', sex: '男',	user_number: '532901199511061617',	guide_number: 'D-5334-000650',	phone: '18008870908'},
		{name: '朱佳梅', sex: '女',	user_number: '533421198901300729',	guide_number: 'D-5334-000831',	phone: '15184991389'},
		{name: '和婉莹', sex: '女',	user_number: '533421199010170742',	guide_number: 'D-5334-000771',	phone: '13988702651'},
		{name: '和绍武', sex: '男',	user_number: '533421198503072134',	guide_number: 'D-5334-000808',	phone: '13988716698'},
		{name: '慈仁雍珠', sex: '女',	user_number: '533423198808081000', guide_number: 'D-5334-000578',	phone: '13988715540'},
		{name: '代顺龙', sex: '男',	user_number: '533421198808031000',	guide_number: 'D-5334-000614',	phone: '13038609595'},
		{name: '王建勇', sex: '男',	user_number: '53342119800106111X',	guide_number: 'D-5334-000708',	phone: '13988711406'},
		{name: '赵东晋', sex: '男',	user_number: '533421198702190000',	guide_number: 'D-5334-000709',	phone: '13508872600'},
		{name: '李庚', sex: '男',	user_number: '533423198206240000',	guide_number: 'D-5334-000432',	phone: '13988756226'},
		{name: '舒继群', sex: '女',	user_number: '533421198606100000',	guide_number: 'D-5334-000649',	phone: '13988718485'},
		{name: '和世群', sex: '女',	user_number: '533421198409170000',	guide_number: 'D-5334-000459',	phone: '13988768973'},
		{name: '徐全群', sex: '男',	user_number: '533421197610101000',	guide_number: 'D-5334-000672',	phone: '13508879474'},
		{name: '金安拉姆', sex: '女',	user_number: '533422198201100000', guide_number: 'D-5334-000585',	phone: '13988728758'},
		// {name: '朱佳梅', sex: '女',	user_number: '533421198901300000',	guide_number: 'D-5334-000831',	phone: '15184991389'},
		{name: '和玉仙', sex: '女',	user_number: '533421198912242000',	guide_number: 'D-5334-000860',	phone: '18608871662'},
		{name: '王晓华', sex: '女',	user_number: '533421197305070000',	guide_number: 'D-5334-000225',	phone: '13988779657'},
		{name: '刘霄霞', sex: '女',	user_number: '533423198506271000',	guide_number: 'D-5334-000835',	phone: '13308878661'},
		{name: '彭丙忠', sex: '男',	user_number: '53342119880504071X',	guide_number: 'D-5334-000820',	phone: '13988714281'},
		{name: '齐秀梅', sex: '女',	user_number: '533421198212220000',	guide_number: 'D-5334-000515',	phone: '13988799852'},
		{name: '李建英', sex: '女',	user_number: '533421198410120000',	guide_number: 'D-5334-000375',	phone: '13988797842'},
		{name: '此里取宗', sex: '女',	user_number: '533422198103060000', guide_number: 'D-5334-000518',	phone: '13988762483'},
		{name: '康珠卓玛', sex: '女',	user_number: '533422197810270000', guide_number: 'D-5334-000336',	phone: '13988702466'},
		{name: '和志东', sex: '男',	user_number: '533421198802070000',	guide_number: 'D-5334-000712',	phone: '13988798427'},
		{name: '和丽远', sex: '男',	user_number: '532401198108140000',	guide_number: 'D-5334-000606',	phone: '13988772164'},
		{name: '徐长兴', sex: '男',	user_number: '533422197808150000',	guide_number: 'D-5334-000378',	phone: '13988724395'},
		{name: '尹媛', sex: '女',	user_number: '533421198212010000',	guide_number: 'D-5334-000710',	phone: '13988720696'},
		{name: '和云芳', sex: '女',	user_number: '53342319840420072X',	guide_number: 'D-5334-000698',	phone: '15925467749'},
		{name: '李莉芳', sex: '女',	user_number: '530111197810052000',	guide_number: 'D-5334-000705',	phone: '13308870198'},
		{name: '李瑶', sex: '女',	user_number: '533421199012032000',	guide_number: 'D-5334-000838',	phone: '13116900650'},
		{name: '张骁烨', sex: '男',	user_number: '350802198201050000',	guide_number: 'D-5334-000837',	phone: '13806999997'},
		{name: '金安拉木', sex: '女',	user_number: '533422197806150000', guide_number: 'D-5334-000349',	phone: '13988716696'},
		{name: '杨义荣', sex: '女',	user_number: '533221198511031000',	guide_number: 'D-5334-000779',	phone: '13988786011'},
		{name: '和甸珍', sex: '女',	user_number: '533421197604020000',	guide_number: 'D-5334-000297',	phone: '13988755198'},
		{name: '郑金春', sex: '女',	user_number: '530111198104056000',	guide_number: 'D-5334-000012',	phone: '13988786863'},
		{name: '和魁艳', sex: '女',	user_number: '533421198306010000',	guide_number: 'D-5334-000496',	phone: '18608877960'},
		{name: '普德美', sex: '女',	user_number: '533423197902060024',	guide_number: 'D-5334-000301',	phone: '13988731925'},
		{name: '赵艳媚', sex: '女',	user_number: '533421198104050000',	guide_number: 'D-5334-000420',	phone: '13988722833'},
		{name: '周金', sex: '男',	user_number: '532325197910170000',	guide_number: 'D-5334-000877',	phone: '13628888279'},
		{name: '李丽文', sex: '男',	user_number: '533221198205255000',	guide_number: 'D-5334-000863',	phone: '13988898728'},
		{name: '陈靖', sex: '男',	user_number: '533221198704102000',	guide_number: 'D-5334-000864',	phone: '13388889348'},
		{name: '熊松', sex: '男',	user_number: '53322198612162100',	guide_number: 'D-5334-000876',	phone: '13988878803'},
		{name: '鲍国顺', sex: '女',	user_number: '53011119830513382X',	guide_number: 'D-5334-000499',	phone: '18908876663'},
		{name: '彭建生', sex: '男',	user_number: '530102196510080397',	guide_number: 'D-5334-000021',	phone: '13988787545'},
		{name: '李娜', sex: '女',	user_number: '622827198410074529',	guide_number: 'D-5334-000262',	phone: '18608876424'},
		{name: '李可欣', sex: '女',	user_number: '533421197510181123',	guide_number: 'D-5334-000370',	phone: '13988783061'},
		{name: '刘桂英', sex: '女',	user_number: '53342119720423002X',	guide_number: 'D-5334-000030',	phone: '13320432777'},
		{name: '杨涛', sex: '男',	user_number: '53011119840927001X',	guide_number: 'D-5334-000247',	phone: '13988726424'},
		{name: '林森', sex: '男',	user_number: '533421197704050551',	guide_number: 'D-5334-000321',	phone: '13988755052'},
		{name: '庄娟', sex: '女',	user_number: '533421197504250022',	guide_number: 'D-5334-000025',	phone: '13988788290'},
		{name: '谢秀英', sex: '女',	user_number: '53342319750520002X',	guide_number: 'D-5334-000129',	phone: '13988718778'},
		{name: '吴玉安', sex: '男', 	user_number: '533421196912040054',	guide_number: 'D-5334-000057',	phone: '13988787604'},
		{name: '张月', sex: '女',	user_number: '533421197708150728',	guide_number: 'D-5334-000209',	phone: '18183185726'},
		{name: '曾益希', sex: '女',	user_number: '53342119860705212X',	guide_number: 'D-5334-000665',	phone: '15987595048'},
		{name: '和亮花', sex: '女',	user_number: '533421198008130026',	guide_number: 'D-5334-000577',	phone: '13988716819'},
		{name: '散拉', sex: '女',	user_number: '533422198710240723',	guide_number: 'D-5334-000839',	phone: '13988741197'},
		{name: '史小明', sex: '男',	user_number: '533421197808042310',	guide_number: 'D-5334-000315',	phone: '13988733919'},
		{name: '寸群', sex: '女',	user_number: '533421197207120723',	guide_number: 'D-5334-000201',	phone: '13988719546'},
		{name: '徐建珍', sex: '女',	user_number: '533421197911070045',	guide_number: 'D-5334-000235',	phone: '13508879271'},
		{name: '杨慧英', sex: '女',	user_number: '533421197911162142',	guide_number: 'D-5334-000666',	phone: '13988707224'},
		{name: '杨秀英', sex: '女',	user_number: '533421197812240045',	guide_number: 'D-5334-000293',	phone: '13988717336'},
		{name: '刘兆英', sex: '女',	user_number: '532301197906153725',	guide_number: 'D-5334-000419',	phone: '13988769816'},
		{name: '和迎春', sex: '女',	user_number: '533421198112250925',	guide_number: 'D-5334-000159',	phone: '13988716162'},
		{name: '和贵元', sex: '男',	user_number: '533421198210022117',	guide_number: 'D-5334-000539',	phone: '13988722861'},
		{name: '余红仙', sex: '女',	user_number: '533221198301032942',	guide_number: 'D-5334-000282',	phone: '13578487767'},
		{name: '夏山福', sex: '男',	user_number: '533421197410050732',	guide_number: 'D-5334-000079',	phone: '13988782045'},
		{name: '木爱菊', sex: '女',	user_number: '533421198209050022',	guide_number: 'D-5334-000434',	phone: '13988718758'},
		{name: '孙建玮', sex: '男',	user_number: '533421198708040734',	guide_number: 'D-5334-000544',	phone: '13398871988'},
		{name: '钟钦新', sex: '男',	user_number: '460003198112066815',	guide_number: 'D-5334-000685',	phone: '18608871199'},
		{name: '李忠生', sex: '男',	user_number: '533421198011200312',	guide_number: 'D-5334-000522',	phone: '13988779902'},
		{name: '黄绍忠', sex: '男',	user_number: '533421198109120716',	guide_number: 'D-5334-000426',	phone: '13988786950'},
		{name: '罗丽琴', sex: '女',	user_number: '533421197912071162',	guide_number: 'D-5334-000601',	phone: '13988790158'},
		{name: '唐海东', sex: '男',	user_number: '533421198506010916',	guide_number: 'D-5334-000483',	phone: '13578479905'},
		{name: '施翠芳', sex: '女',	user_number: '533421197507070721',	guide_number: 'D-5334-000051',	phone: '13988786951'},
		{name: '张芬', sex: '女',	user_number: '53342119870723094X',	guide_number: 'D-5334-000755',	phone: '13988773477'},
		{name: '杨龙', sex: '男',	user_number: '53342119930322111x',	guide_number: 'D-5334-000852',	phone: '13988759792'},
		{name: '王玉芳', sex: '女',	user_number: '533421198408202148',	guide_number: 'D-5334-000291',	phone: '13988725296'},
		{name: '徐继娟', sex: '女',	user_number: '533421198705120720',	guide_number: 'D-5334-000680',	phone: '13988788902'},
		{name: '和玉龙', sex: '男',	user_number: '533421198706030911',	guide_number: 'D-5334-000513',	phone: '13988735792'},
		{name: '张剑', sex: '男',	user_number: '533421198801141118',	guide_number: 'D-5334-000795',	phone: '18288825255'},
		{name: '汪灿媚', sex: '女',	user_number: '533421198612150728',	guide_number: 'D-5334-000662',	phone: '13988705554'},
		{name: '孙建诚', sex: '男',	user_number: '533421198907200710',	guide_number: 'D-5334-000594',	phone: '13116908555'},
		{name: '王艳艳', sex: '女',	user_number: '533421198907100760',	guide_number: 'D-5334-000593',	phone: '13988726915'},
		{name: '李学珍', sex: '女',	user_number: '533421198301090721',	guide_number: 'D-5334-000638',	phone: '13988752412'},
		{name: '赵灵华', sex: '男',	user_number: '533421199101061138',	guide_number: 'D-5334-000870',	phone: '13988786545'},
		{name: '杨红芳', sex: '女',	user_number: '533421198709102167',	guide_number: 'D-5334-000774',	phone: '13988755835'},
		{name: '杨云龙', sex: '男',	user_number: '533421197411170015',	guide_number: 'D-5334-000157',	phone: '13988762626'},
		{name: '吴信美', sex: '女',	user_number: '533421198802100940',	guide_number: 'D-5334-000637',	phone: '13170790080'},
		{name: '韩贵东', sex: '男',	user_number: '533423198306151514',	guide_number: 'D-5334-000248',	phone: '13988775511'},
		{name: '和思源', sex: '男',	user_number: '53342119891021091X',	guide_number: 'D-5334-000717',	phone: '13988743542'},
		{name: '和银秋', sex: '女',	user_number: '533423198609110023',	guide_number: 'D-5334-000725',	phone: '13988745412'},
		{name: '杨文辉', sex: '男',	user_number: '533421197502052137',	guide_number: 'D-5334-000189',	phone: '13988708788'},
		{name: '李志莲', sex: '女',	user_number: '533421197510020063',	guide_number: 'D-5334-000317',	phone: '18760884155'},
		{name: '和志宏', sex: '男',	user_number: '533421197003060000',	guide_number: 'D-5334-000450',	phone: '13988720872'},
		{name: '拉茸吹批', sex: '男',	user_number: '53342119850802051X', guide_number: 'D-5334-000506',	phone: '13988786929'},
		{name: '和先礼', sex: '男',	user_number: '533423198604101000',	guide_number: 'D-5334-000824',	phone: '15894373325'},
		{name: '熊晓波', sex: '男',	user_number: '533421199003071000',	guide_number: 'D-5334-000689',	phone: '13618873421'},
		{name: '李诚', sex: '男',	user_number: '533421198610300000',	guide_number: 'D-5334-000731',	phone: '13988700363'},
		{name: '杨国芬', sex: '女',	user_number: '533221197810100000',	guide_number: 'D-5334-000008',	phone: '13508880609'},
		{name: '潘建珍', sex: '女',	user_number: '533421198112012000',	guide_number: 'D-5334-000206',	phone: '13988759105'},
		{name: '赵艳红', sex: '女',	user_number: '533423198506120000',	guide_number: 'D-5334-000603',	phone: '18587097727'},
		{name: '杨晓梅', sex: '女',	user_number: '533421197910140945',	guide_number: 'D-5334-000565',	phone: '18388824232'},
		{name: '和俊', sex: '男',	user_number: '533421199007030714',	guide_number: 'D-5334-000728',	phone: '13988718685'},
		{name: '赵青龙', sex: '男',	user_number: '533421199108040735',	guide_number: 'D-5334-000727',	phone: '18760880888'},
		{name: '徐国东', sex: '男',	user_number: '533421198203102135',	guide_number: 'D-5334-000442',	phone: '13988777716'},
		{name: '格玛此里', sex: '男',	user_number: '533422198212050716', guide_number: 'D-5334-000588',	phone: '13988780599'},
		{name: '李国平', sex: '男',	user_number: '533221198410084717',	guide_number: 'D-5334-000406',	phone: '13988759095'},
		{name: '蒋加秋', sex: '女',	user_number: '533221197304124768',	guide_number: 'D-5334-000667',	phone: '13988754430'},
		{name: '海木弟', sex: '女',	user_number: '533222198502171523',	guide_number: 'D-5334-000673',	phone: '13628887963'},
		{name: '李海燕', sex: '女',	user_number: '533423198009240027',	guide_number: 'D-5334-000278',	phone: '15608875299'},
		{name: '杨劲良', sex: '男',	user_number: '533423198102080312',	guide_number: 'D-5334-000681',	phone: '13578472077'},
		{name: '和顺发', sex: '男',	user_number: '533421199107080751',	guide_number: 'D-5334-000730',	phone: '13518798627'},
		{name: '和顺权', sex: '男',	user_number: '533421199411170751',	guide_number: 'D-5334-000840',	phone: '13988745387'},
		{name: '和建康', sex: '男',	user_number: '533421198204050752',	guide_number: 'D-5334-000621',	phone: '13988748265'},
		{name: '和向珍', sex: '女',	user_number: '533421198506232164',	guide_number: 'D-5334-000478',	phone: '13988710137'},
		{name: '杨洪铸', sex: '男',	user_number: '533421198211070911',	guide_number: 'D-5334-000822',	phone: '13988753553'},
		{name: '和仙梅', sex: '女',	user_number: '533423198709131526',	guide_number: 'D-5334-000823',	phone: '13398887876'},
		{name: '李国平', sex: '男',	user_number: '533221198410084717',	guide_number: 'D-5334-000406',	phone: '13988759095'},
		{name: '和晓琼', sex: '女',	user_number: '533421198909112124',	guide_number: 'D-5334-000777',	phone: '15925465311'},
		{name: '吴学菊', sex: '女',	user_number: '533421198509240928',	guide_number: 'D-5334-000570',	phone: '13988794006'},
		{name: '此里卓玛', sex: '女',	user_number: '533422197909121129', guide_number: 'D-5334-000352',	phone: '13988776879'},
		{name: '和丽泉', sex: '男',	user_number: '533421198001092135',	guide_number: 'D-5334-000695',	phone: '13988773225'},
		{name: '黄占春', sex: '女',	user_number: '533421197311110728',	guide_number: 'D-5334-000014',	phone: '18908870297'},
		{name: '赵燕青', sex: '女',	user_number: '533423198704080328',	guide_number: 'D-5334-000453',	phone: '15925460968'},
		{name: '和源', sex: '女',	user_number: '533423198805081522',	guide_number: 'D-5334-000610',	phone: '13578476277'},
		{name: '王梅英', sex: '女',	user_number: '53342119851227052X',	guide_number: 'D-5334-000620',	phone: '13988765396'},
		{name: '刘继梅', sex: '女',	user_number: '533421197912161125',	guide_number: 'D-5334-000474',	phone: '15812243907'},
		{name: '代国芳', sex: '女',	user_number: '532329198606030521',	guide_number: 'D-5334-000636',	phone: '13508875093'},
		{name: '杨浩生', sex: '男',	user_number: '533421197912310717',	guide_number: 'D-5334-000430',	phone: '13988769716'},
		{name: '杨成', sex: '男',	user_number: '533224198501061317',	guide_number: 'D-5334-000788',	phone: '18288874336'},
		{name: '杨蔚生', sex: '女',	user_number: '533421197709300724',	guide_number: 'D-5334-000062',	phone: '15894365763'},
		{name: '和凌峰', sex: '男',	user_number: '533221199109031514',	guide_number: 'D-5334-000799',	phone: '13988849441'},
		{name: '梅春生', sex: '男',	user_number: '530123197803042219',	guide_number: 'D-5334-000374',	phone: '13578477626'},
		{name: '史定菊', sex: '女',	user_number: '533421197206030929',	guide_number: 'D-5334-000353',	phone: '13988738402'},
		{name: '霍萍', sex: '女',	user_number: '532922198608111323',	guide_number: 'D-5334-000240',	phone: '13988755018'},
		{name: '和艳珍', sex: '女',	user_number: '533423198604081921',	guide_number: 'D-5334-000674',	phone: '13013380050'},
		{name: '李红清', sex: '女',	user_number: '533421197806050747',	guide_number: 'D-5334-000319',	phone: '13988728080'},
		{name: '丁永秀', sex: '女',	user_number: '532924198502231928',	guide_number: 'D-5334-000743',	phone: '18608879486'},
		{name: '杨荣生', sex: '男',	user_number: '533421197904190014',	guide_number: 'D-5334-000524',	phone: '13988722391'},
		{name: '此里定主', sex: '男',	user_number: '533422197804030319', guide_number: 'D-5334-000358',	phone: '13988718980'},
		{name: '王芳', sex: '女',	user_number: '533421198106282322',	guide_number: 'D-5334-000566',	phone: '13988737362'},
		{name: '杨学伟', sex: '男',	user_number: '533421198106282322',	guide_number: 'D-5334-000868',	phone: '13988737362'},
		{name: '刘李和', sex: '男',	user_number: '533421197810030917',	guide_number: 'D-5334-000214',	phone: '13987938584'},
		{name: '陆志琴', sex: '女',	user_number: '533421198103250720',	guide_number: 'D-5334-000438',	phone: '13988745325'},
		{name: '姚大山', sex: '男',	user_number: '533421199004300934',	guide_number: 'D-5334-000767',	phone: '13987938584'},
		{name: '吉永生', sex: '男',	user_number: '533421198510130013',	guide_number: 'D-5334-000688',	phone: '13988753705'},
		// {name: '苏叶', sex: '女',	user_number: '533421198204061120',	guide_number: 'D-5334-000688',	phone: '13988753705'},
		{name: '杨晓静', sex: '女',	user_number: '533423198311160028',	guide_number: 'D-5334-000480',	phone: '13988732648'},
		{name: '李军', sex: '男',	user_number: '533421197611161121',	guide_number: 'D-5334-000300',	phone: '15108882928'},
		{name: '和卫喜', sex: '女',	user_number: '533421197611161121',	guide_number: 'D-5334-000792',	phone: '15284576680'},
		{name: '和数涛', sex: '男',	user_number: '533421198012080316',	guide_number: 'D-5334-000410',	phone: '15334357771'},
		{name: '江绍华', sex: '男',	user_number: '533421198205052135',	guide_number: '',	phone: '13988711106'},
		{name: '俞龙', sex: '男',	user_number: '533421198110020018',	guide_number: 'D-5334-000182',	phone: '13988786908'},
		{name: '王绍杰', sex: '男',	user_number: '533222198909081538',	guide_number: 'D-5334-000875',	phone: ''},
		{name: '和丽堃', sex: '男',	user_number: '53342219680705031X',	guide_number: 'D-5334-000329',	phone: '13988743735'},
		{name: '王柏义', sex: '男',	user_number: '533221197707090072',	guide_number: 'D-5334-000643',	phone: '13508887372'},
		{name: '和艳华', sex: '男',	user_number: '533423198305200556',	guide_number: 'D-5334-000210',	phone: '18288822413'},
		{name: '李勇', sex: '男',	user_number: '533423198310031515',	guide_number: 'D-5334-000415',	phone: '13802481885'},
		{name: '达瓦卓玛', sex: '女',	user_number: '533421198704031523',	guide_number: 'D-5334-000464',	phone: '15208873304'},
		{name: '木丽雄', sex: '男',	user_number: '53342119900517073X',	guide_number: 'D-5334-000776',	phone: '13988776256'},
		{name: '陈丽明', sex: '男',	user_number: '533421198212251116',	guide_number: 'D-5334-000567',	phone: '13988759877'},
		{name: '和树芳', sex: '女',	user_number: '533423198501150744',	guide_number: 'D-5334-000814',	phone: '13988754595'},
		{name: '唐春梅', sex: '女',	user_number: '533421198004101180',	guide_number: 'D-5334-000283',	phone: '13988731525'},
		{name: '钱晓灿', sex: '女',	user_number: '533423198408281926',	guide_number: 'D-5334-000439',	phone: '13988766153'},
		{name: '古丽珍', sex: '女',	user_number: '53342319830406154X',	guide_number: 'D-5334-000572',	phone: '13988758855'},
		{name: '郎亚红', sex: '女',	user_number: '533421197312100222',	guide_number: 'D-5334-000055',	phone: '13988710112'},
		{name: '次里定主', sex: '男',	user_number: '533422198207171118',	guide_number: 'D-5334-000433',	phone: ''},
		{name: '尹宇', sex: '男',	user_number: '533423197410061733',	guide_number: 'D-5334-000866',	phone: '13378875525'},
		{name: '赵玉平', sex: '男',	user_number: '342124198012142333',	guide_number: 'D-5334-000716',	phone: '15987946182'},
		{name: '李桂华', sex: '男',	user_number: '533421197710062110',	guide_number: 'D-5334-000342',	phone: '18988003838'},
		{name: '章剑昱', sex: '男',	user_number: '533421197903200217',	guide_number: 'D-5334-000194',	phone: '13988785168'},
		{name: '王燕', sex: '女',	user_number: '533421198802140926',	guide_number: 'D-5334-000669',	phone: '18288827222'},
		{name: '郑贤磊', sex: '男',	user_number: '533224199101100019',	guide_number: 'D-5334-000869',	phone: '13988882622'},
		{name: '和树明', sex: '男',	user_number: '533423198306241931',	guide_number: 'D-5334-000648',	phone: '13988771308'},
		{name: '和桂元', sex: '男',	user_number: '533221198602171938',	guide_number: 'D-5334-000632',	phone: '13988888792'},
		{name: '罗丽文', sex: '男',	user_number: '530113197911250354',	guide_number: 'D-5334-000449',	phone: '13988746636'},
		{name: '杨芸', sex: '女',	user_number: '533421198507220720',	guide_number: 'D-5334-000384',	phone: '13988776180'},
		{name: '张合梅', sex: '女',	user_number: '533421198410130948',	guide_number: 'D-5334-000335',	phone: '13988775451'},
		{name: '史庆增', sex: '女',	user_number: '533421197911220920',	guide_number: 'D-5334-000441',	phone: '15894361110'},
		{name: '张兴发', sex: '男',	user_number: '533423198205210511',	guide_number: 'D-5334-000819',	phone: '18869692525'},
		{name: '李玉萍', sex: '女',	user_number: '533423199206201566',	guide_number: 'D-5334-000807',	phone: '13988780711'},
		{name: '郭芝灵', sex: '男',	user_number: '53342119870824231x',	guide_number: 'D-5334-000833',	phone: '13988796798'},
		{name: '张媚', sex: '女',	user_number: '533221198912151924',	guide_number: 'D-5334-000832',	phone: '18787621206'},
		{name: '李明太', sex: '男',	user_number: '533421197901250712',	guide_number: 'D-5334-000696',	phone: '18760885606'},
		{name: '和卫莲', sex: '女',	user_number: '533423198707150723',	guide_number: 'D-5334-000388',	phone: '13988798821'},
		{name: '张燕', sex: '女',	user_number: '533423198908201726',	guide_number: 'D-5334-000851',	phone: '18288842220'},
		{name: '吕泽娟', sex: '女',	user_number: '533421199107020943',	guide_number: 'D-5334-000537',	phone: '13988738669'},
		{name: '杨红星', sex: '男',	user_number: '533421198204042111',	guide_number: 'D-5334-000076',	phone: '13988712122'},
		{name: '杨建丽', sex: '女',	user_number: '533421198208242129',	guide_number: 'D-5334-000285',	phone: '13988719977'},
		{name: '杨润林', sex: '男',	user_number: '533421198007302113',	guide_number: 'D-5334-000683',	phone: '13988729978'},
		{name: '和贵新', sex: '男',	user_number: '533421198309090910',	guide_number: 'D-5334-000535',	phone: '13988711996'},
		{name: '杨盛龙', sex: '男',	user_number: '533421198206082117',	guide_number: 'D-5334-000232',	phone: '17787699999'},
		{name: '余春秀', sex: '女',	user_number: '533423197805100020',	guide_number: 'D-5334-000581',	phone: '13988783266'},
		{name: '和耀军', sex: '男',	user_number: '53342119890809215X',	guide_number: 'D-5334-000640',	phone: '15894369995'},
		{name: '杨晟毅', sex: '男',	user_number: '533421199211082124',	guide_number: 'D-5334-000676',	phone: '18708731748'},
		{name: '海兰', sex: '男',	user_number: '533421199308022144',	guide_number: 'D-5334-000679',	phone: '18908876656'},
		{name: '鲁柱', sex: '男',	user_number: '533421198609211331',	guide_number: 'D-5334-000659',	phone: '13988745400'},
		{name: '杨海生', sex: '男',	user_number: '533421198806052130',	guide_number: 'D-5334-000437',	phone: '13508872670'},
		{name: '海正松', sex: '男',	user_number: '533421198112282118',	guide_number: 'D-5334-000175',	phone: '13988730399'},
		{name: '海英', sex: '女',	user_number: '533421199008082129',	guide_number: 'D-5334-000633',	phone: '18908876658'},
		{name: '陶江虹', sex: '女',	user_number: '533421198812260921',	guide_number: 'D-5334-000596',	phone: '13988751403'},
		{name: '石海清', sex: '女',	user_number: '533421198202070944',	guide_number: 'D-5334-000024',	phone: '13988732876'},
		{name: '梅自强', sex: '男',	user_number: '533224198904100034',	guide_number: 'D-5334-000645',	phone: '13988856246'},
		{name: '鲁茸扎史', sex: '男',	user_number: '533422198207301111', guide_number: 'D-5334-000648',	phone: '13988787002'},
		{name: '张金友', sex: '男',	user_number: '533224198012180710',	guide_number: 'D-5334-000699',	phone: '15108874216'},
		{name: '王海涛', sex: '男',	user_number: '533221199009203913',	guide_number: 'D-5334-000850',	phone: '13578381510'},
		{name: '杨磊', sex: '男',	user_number: '533421198805170055',	guide_number: 'D-5334-000784',	phone: '13988768033'},
		{name: '和艳勋', sex: '男',	user_number: '533421197911060912',	guide_number: 'D-5334-000651',	phone: '13988785189'},
		{name: '刘丽峨', sex: '女',	user_number: '222404198101190445',	guide_number: 'D-5334-000466',	phone: '15894361443'},
		{name: '刘蓬勃', sex: '男',	user_number: '610126189806205635',	guide_number: 'D-5334-000761',	phone: '15284477104'},
		{name: '秦丽涛', sex: '男',	user_number: '533221198509273315',	guide_number: 'D-5334-000762',	phone: '13988845486'},
		{name: '印立红', sex: '男',	user_number: '533423197506220014',	guide_number: 'D-5334-000416',	phone: '13988728444'},
		{name: '徐继梅', sex: '女',	user_number: '533421197912010749',	guide_number: 'D-5334-000563',	phone: '13368870998'},
		{name: '和娇', sex: '女',	user_number: '533421198905300021',	guide_number: 'D-5334-000586',	phone: '18608878001'},
		{name: '刘艳花', sex: '女',	user_number: '532527198504112022',	guide_number: 'D-5334-000724',	phone: '15608879558'},
		{name: '胡正荣', sex: '男',	user_number: '53322119790707291X',	guide_number: 'D-5334-000327',	phone: '15608878735'},
		{name: '和志诚', sex: '男',	user_number: '533421197906060010',	guide_number: 'D-5334-000033',	phone: '13398870606'},
	])
    //邮箱域名
    .constant('MAIL_MAP', {
        163:"http://mail.163.com/",
        126: "http://mail.126.com/",
        sina: "http://mail.sina.com.cn/",
        yahoo: "http://mail.cn.yahoo.com/",
        sohu: "http://mail.sohu.com/",
        yeah: "http://www.yeah.net/",
        gmail: "http://gmail.google.com/",
        hotmail: "http://www.hotmail.com/",
        live: "http://www.hotmail.com/",
        qq: "https://mail.qq.com/",
        139: "http://mail.10086.cn/"
    })
    //登录接口返回信息
    .constant('LOGIN_RESULT_INFO', {
       '0':'成功',
       '1':'验证码错误',
       '2':'用户名或密码错误',
       '3':'用户未激活'
    })
	//修改密码返回信息
	.constant('CHANGE_RESULT_INFO', {
		'0': '成功',
		'1': '失败',
		'2': '旧密码错误'
	})
	//忘记密码处理返回信息
	.constant('FORGET_RSULT_INFO', {
		'0': '成功',
		'1': '重置密码邮件发送失败',
		'2': '用户不存在',
		'3': '重置密码失败'
	})
    //注册接口返回信息
    .constant('REG_RESULT_INFO', {
        '0':'成功',
        '1':'验证码错误',
        '2':'该用户名已存在',
        '-1':'系统错误'
    })
	 //景区人流
    .constant('SCENIC', {
       '0':'客流较少',
       '1':'客流适中',
       '2':'客流较多',
       '3':'客流拥挤'
    })
    //点赞及评论
    .factory('CommentLikeService',function(httpUtil,INTERFACE_URL) {
        var commentLikeService = {};
        commentLikeService.doRequest = function (userId, contId, content, type) {
            var commentLikeUrl = INTERFACE_URL.commentLikeUrl.replace('{0}', userId).replace('{1}', contId).replace('{2}', content).replace('{3}', type);
            return httpUtil.all(INTERFACE_URL.rootUrl + commentLikeUrl);
        };
        return commentLikeService;
    })
    //各种弹出框，暂时只有alert
    .factory('errorResolve',function($ionicPopup){
        return {
            showAlert : function(result,btnId) {
                var alertPopup =$ionicPopup.alert({
                    template: result,
                    okText:'确定'
                });
                alertPopup.then(function(){
                    if(null !=btnId&&''!=btnId){
                        document.getElementById(btnId).disabled='';
                    }
                });
                return alertPopup;
            } // end query
        };
    })
    //检查更新
    .factory('versionUpdateService',function($cordovaAppVersion,$ionicPopup, $ionicLoading,$cordovaFileTransfer, $cordovaFile, $cordovaFileOpener2,$ionicActionSheet,httpUtil,INTERFACE_URL,$timeout,$rootScope){
        //弹出更新框
        var showRefreshSheet=function() {
            var hideSheet=$ionicActionSheet.show({
                // titleText: '检查更新',
                destructiveText: '检查更新',
                cancelText: '取消',
                cancel: function () {

                },
                destructiveButtonClicked: function () {
                    //检查更新
                    checkUpdate(true);
                },
                buttonClicked: function (index) {

                }
            });
            $timeout(function () {
                hideSheet();
            }, 3000);
        };

        // 检查更新
        var checkUpdate=function(showAlert) {
            var promise=httpUtil.all(INTERFACE_URL.rootUrl+INTERFACE_URL.versionUrl);
            promise.then(function(data){
                if(null !=data){
                    var serverAppVersion='';//从服务端获取最新版本
                    var refreshContent='';//更新内容
                    var refreshUrl='';//更新地址
                    for(var i=0; i<data.length; i++){
                        var item=data[i];
                        if(null!=item &&"android"==item.platform){
                            serverAppVersion=item.verName;
                            refreshContent=item.content;
                            refreshUrl=item.path;
                        }
                    }
                    $cordovaAppVersion.getVersionNumber().then(function (version) {
                        //如果本地与服务端的APP版本不符合
                        if (version != serverAppVersion) {
                            showUpdateConfirm(refreshContent,refreshUrl);
                        } else if(showAlert){
                            alert('已是最新版本,无需更新');
                        }
						// showUpdateConfirm(refreshContent,refreshUrl);
                    });
                }

            },function(){});

        };
        // 显示是否更新对话框
        var showUpdateConfirm=function(refreshContent,rereshUrl) {
            var confirmPopup = $ionicPopup.confirm({
                title: 'HI,检测到您有升级版本,赶紧更新试试吧!',
                template: '更新概要如下:<br/>'+refreshContent+'<br/>如若稍后升级,可至<b>我的-版本升级</b>中操作', //从服务端获取更新的内容
                cancelText: '稍后再说',
                okText: '立即安装'
            });
            confirmPopup.then(function (res) {
                if (res) {
                    $ionicLoading.show({
                        template: "已经下载：0%"
                    });
                    var url = rereshUrl; //可以从服务端获取更新APP的路径
                    var targetPath = "file:///storage/sdcard0/Download/dqTravel.apk"; //APP下载存放的路径，可以使用cordova file插件进行相关配置
                    var trustHosts = true
                    var options = {};
                    $cordovaFileTransfer.download(url, targetPath, options, trustHosts).then(function (result) {
                        // 打开下载下来的APP
                        $cordovaFileOpener2.open(targetPath, 'application/vnd.android.package-archive'
                        ).then(function () {
                                // 成功
                            }, function (err) {
                                // 错误
                            });
                        $ionicLoading.hide();
                    }, function (err) {
						console.log('download error ===============> ', JSON.stringify(err));
                        alert('下载失败');
                        $ionicLoading.hide();
                    }, function (progress) {
                        //进度，这里使用文字显示下载百分比
                        $timeout(function () {
                            var downloadProgress = (progress.loaded / progress.total) * 100;
                            $ionicLoading.show({
                                template: "已经下载：" + Math.floor(downloadProgress) + "%"
                            });
                            if (downloadProgress > 99) {
                                $ionicLoading.hide();
                            }
                        })
                    });
                } else {
                    // 取消更新
                }
            });
        };
        return {
            checkUpdate:function(){
                checkUpdate();
            },showRefreshSheet:function(){
                showRefreshSheet();
            }
        }
    }

    )
    //请求接口,获取数据
    .factory('httpUtil',  function ($http,$timeout,$state,$q) {
        return {
            all : function(url) {
                var deferred = $q.defer(); // 声明延后执行，表示要去监控后面的执行
                $http.get(url).success(function(data, status, headers, config) {
                  $timeout(function(){ deferred.resolve(data);},500);
                     // 声明执行成功，即http请求数据成功，可以返回数据了
                }).error(function(data, status, headers, config,statusText) {
                    $state.go('tab.errorList');
                    //跳转到统一错误页面
                    deferred.reject();
                      // 声明执行失败，即服务器返回错误
                })
                return deferred.promise;   // 返回承诺，这里并不是最终数据，而是访问最终数据的API  **/
            } // end query
        };
    })
    /**时间格式化**/
    .filter('dateFilter',function(){
        return function(date,param){
            if(null !=date){
                if('yyyy-MM-dd hh:mm:ss'==param&&date.length>=14){
                    return date.substr(0,4)+'-'+date.substr(4,2)+'-'+date.substr(6,2) +' '+date.substr(8,2) + ":" + date.substr(10,2) + ":"+date.substr(12,2);
                }else if('yyyy-MM-dd hh:mm'==param&&date.length>=10){
                    return date.substr(0,4)+'-'+date.substr(4,2)+'-'+date.substr(6,2) +' '+date.substr(8,2) + ":00";
                }else if("dateDistance"==param){
                    //当前时间
                    var nowTime=new Date().getTime();
                    //评论时间
                    var commentTime=new Date(date.replace(/-/g,"/")).getTime();
                    //相距日期
                    var dayDistance=Math.floor((nowTime-commentTime)/(24*3600*1000));
                    if(dayDistance>=365){
                        return "1年前";
                    }else if(0<dayDistance&&dayDistance<365){
                        return dayDistance+"天前";
                    }else{
                        //相距时间
                        var hourDistance=Math.floor((nowTime-commentTime)/(3600*1000));
                        if(hourDistance>0){
                            return hourDistance+"小时前";
                        }else{
                            return "刚刚";
                        }
                    }
                }else{
                    return date;
                }
            }else{
                return "";
            }

        };
    })
   //汉字编码
    .filter('encoding',function(){
        return function (value) {
            return encodeURI(encodeURI(value));
        };
    })
	//景区人流的情况
	.filter('scenicing',function(SCENIC){
        return function (value) {
             return SCENIC[value];
        };
    })
    //截取
    .filter('cut',function(){
        return function (value, max, tail) {
            if (!value) return '';
            value = value.substr(0, max);
            var lastspace = value.lastIndexOf(' ');
            if (lastspace != -1) {
                value = value.substr(0, lastspace);
            }
            return value + (tail || ' …');
		};
    });

